GNU bug report logs - #38822
27.0.60; Crashes on MacOS 10.14 when quitting emacs, and intermittent crashes during normal usage

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Justin Guenther <jguenther@HIDDEN>; merged with #38748; dated Mon, 30 Dec 2019 20:12:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 38822 <at> debbugs.gnu.org:


Received: (at 38822) by debbugs.gnu.org; 20 Jan 2020 16:31:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 11:31:17 2020
Received: from localhost ([127.0.0.1]:45896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itZxH-0000ki-Om
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 11:31:15 -0500
Received: from mail-wr1-f44.google.com ([209.85.221.44]:41608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1itZxB-0000jl-P2
 for 38822 <at> debbugs.gnu.org; Mon, 20 Jan 2020 11:31:09 -0500
Received: by mail-wr1-f44.google.com with SMTP id c9so77878wrw.8
 for <38822 <at> debbugs.gnu.org>; Mon, 20 Jan 2020 08:31:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=WHR7NsrhvNppqceAeheNbc53+mcmsBryyp2Zf8VPF3g=;
 b=iaxiWNKkiudwXK7DDeVvwuNKtgP1x0rWd+ZJsbiKD8ozj+i40gYKi+raVdVEIfjQc3
 CyQM+3hJ8OYn3/3sXYKn5dFqRn0wp/N53g1VUwyZy/X8TyRwbXRtcyNPkvN2dWz4mCTI
 crwQh3p/KkRLBCLBcLFoEJwAxNr/7WW7bm5DKGm4GSqPEHGPXfrrMxEEu/DB/EriEwI0
 vO+vF+UI/G+aED2wf84giTbaJx8zLkjeJJJjJYyINhRHaye1APHT6pBC96QSuUnF8Qm1
 45/jTDJvIwpv0KE1wPWUtJdEC6N+cWOarLy+aETIe4F6KTHfwf/TULvc8BwLYn77jsXM
 9nPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=WHR7NsrhvNppqceAeheNbc53+mcmsBryyp2Zf8VPF3g=;
 b=FnhElIhOOkP5vPA7E16/igxbAHyLcY3X31cP9bDVJmQXuJarSD9yojIUGqjyNpoCok
 iVVxMYfp0UUQljhCb17JiYyqrFWhDUsk2pKcnQlE9jTkOuGoUmBumrDKK3uUKD3f/kBX
 2EhJns09QeR0f3rJjYEeJ7HvQ+kyjuwLkIrovvhMJTA5scFlfHHBFpV2teUOxJJ2vGoj
 GjjzwV74lUYTY6A4DmzU5ulEHXfqIt6aNGzkJV201thki4eSyBgVuvsrOLxmYD4RGAsK
 8RPAwMI/xjgbWeFFZwulp6bXnq3ZbuwkYtTi7rfS15auNsojii/W6gLIcLSElMYrThrt
 I9qA==
X-Gm-Message-State: APjAAAWDIaYqiZBj5a2umx//TNzHnRmZ1V0v5DWi2YI3Qd55I8V6xotL
 GzOUcpYOVSQ7WLAxC2S7MIaKHPXU
X-Google-Smtp-Source: APXvYqyLkMJrST9yp8tpmchYIPHjHgpEyWmsjhlMZOyV+2RBrmaZCiO/XOqCOckv7t7Pi7oqEsKKKA==
X-Received: by 2002:adf:cd0a:: with SMTP id w10mr318004wrm.107.1579537859698; 
 Mon, 20 Jan 2020 08:30:59 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id j2sm191534wmk.23.2020.01.20.08.30.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 20 Jan 2020 08:30:59 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38822: 27.0.60; Crashes on MacOS 10.14 when quitting emacs,
 and intermittent crashes during normal usage
References: <CALGYRRc369TFDGsqf+am=iaDvgJ2shdRGZhty2Ys7jrihxcEmg@HIDDEN>
 <83a778l4q5.fsf@HIDDEN>
 <CALGYRRfD_WipVQ1bRCDgXOc4L6FP+S=PO6ETTtQyM+-A6hD9tQ@HIDDEN>
 <m2iml6ts74.fsf@HIDDEN> <83d0bexhmo.fsf@HIDDEN>
Date: Mon, 20 Jan 2020 17:30:58 +0100
In-Reply-To: <83d0bexhmo.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 20 Jan
 2020 17:38:39 +0200")
Message-ID: <m2h80qrsxp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38822
Cc: jguenther@HIDDEN, 38822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 20 Jan 2020 17:38:39 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Eli Zaretskii <eliz@HIDDEN>,  38822 <at> debbugs.gnu.org
    >> Date: Mon, 20 Jan 2020 10:03:59 +0100
    >> 
    Justin> I think this is indeed a dupe of 38748, this patch seems to have fixed
    Justin> this crash for me:
    Justin> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748#92
    >> 
    >> Thanks for that. Eli, should we apply this to emacs-27 with
    >> attribution to Pip Cet?:

    Eli> Fine with me, thanks.

Done. Bug closed.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38822; Package emacs. Full text available.
bug Marked as fixed in versions 27.1. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38822 <at> debbugs.gnu.org:


Received: (at 38822) by debbugs.gnu.org; 20 Jan 2020 15:38:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 10:38:40 2020
Received: from localhost ([127.0.0.1]:45839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itZ8S-0007qC-Cu
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 10:38:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1itZ8P-0007pz-HX
 for 38822 <at> debbugs.gnu.org; Mon, 20 Jan 2020 10:38:38 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54154)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1itZ8K-0002fh-C7; Mon, 20 Jan 2020 10:38:32 -0500
Received: from [176.228.60.248] (port=1738 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1itZ8J-0002FW-Kq; Mon, 20 Jan 2020 10:38:32 -0500
Date: Mon, 20 Jan 2020 17:38:39 +0200
Message-Id: <83d0bexhmo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2iml6ts74.fsf@HIDDEN> (message from Robert Pluim on Mon, 20
 Jan 2020 10:03:59 +0100)
Subject: Re: bug#38822: 27.0.60; Crashes on MacOS 10.14 when quitting emacs,
 and intermittent crashes during normal usage
References: <CALGYRRc369TFDGsqf+am=iaDvgJ2shdRGZhty2Ys7jrihxcEmg@HIDDEN>
 <83a778l4q5.fsf@HIDDEN>
 <CALGYRRfD_WipVQ1bRCDgXOc4L6FP+S=PO6ETTtQyM+-A6hD9tQ@HIDDEN>
 <m2iml6ts74.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38822
Cc: jguenther@HIDDEN, 38822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  38822 <at> debbugs.gnu.org
> Date: Mon, 20 Jan 2020 10:03:59 +0100
> 
>     Justin> I think this is indeed a dupe of 38748, this patch seems to have fixed
>     Justin> this crash for me:
>     Justin> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748#92
> 
> Thanks for that. Eli, should we apply this to emacs-27 with
> attribution to Pip Cet?:

Fine with me, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38822; Package emacs. Full text available.

Message received at 38822 <at> debbugs.gnu.org:


Received: (at 38822) by debbugs.gnu.org; 20 Jan 2020 09:04:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 04:04:16 2020
Received: from localhost ([127.0.0.1]:44345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itSyi-0006pn-70
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 04:04:16 -0500
Received: from mail-wm1-f65.google.com ([209.85.128.65]:39314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1itSyc-0006ol-HD
 for 38822 <at> debbugs.gnu.org; Mon, 20 Jan 2020 04:04:11 -0500
Received: by mail-wm1-f65.google.com with SMTP id 20so13830577wmj.4
 for <38822 <at> debbugs.gnu.org>; Mon, 20 Jan 2020 01:04:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=A5qpFWIvpJP22/YbLrr2YX0O9tGgs3UplYQq7hxcmHY=;
 b=knI+hI+N7QCQINeWV9objHgo0D6wqjjeZkFVHzWKu0mewl76YV/L4SGGjCUJpDaJ4r
 3bhtjMfqE2dffMha/EWA2EMWuAzp3z5Om1iipUWlJUuN3Cs5mSZCptjWnAfnAw2AwtDp
 cDbN9uQWGOC5Ip+LWcKvxfwxHDaNcZdrv6YtZQ3LKLIz+H3eUtnYVHdeYb0zqxx5qftX
 1S0xMYz2squUl0fPjrcKifHeyX4MZIGvBNvK6j8EehdHBCdA9gIuef+6celJCclhDfOC
 l1yJPIhMMXsPm/gqekQa4nkQq6rdUhn4rB/502wu+tkuUQNN0dJuzMHVUCzAii8AYcWF
 GvWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=A5qpFWIvpJP22/YbLrr2YX0O9tGgs3UplYQq7hxcmHY=;
 b=R/J5bkzovMGi6C+ug3cVRk2Tkbgfke/KukDfejhMvWI5gXXP6fmIURNN8hixM85/DO
 BOqFHlilee0BsGPuV1Qs6Apfm96Cf0BnbOAgxuCJQ8L/yO3su0W6WBwMn94aaleEnzyy
 UU7eV13BVyb0qa5a6eZwg4l8FH73jlFLTWFcPFj771ruTL4KAXA/Dgpes0u+MJm1ATQx
 q7U2UmOXj8pDkciUxp8Q+5Jswr3p1DDnVXZZ+sCWF4RT2OwYwEzFaq4adNYsd2Ol42CH
 Q6TKYuN93vomPltqoAMw2FW79aftW5n+ug5p1f2n3mfrjV25XHLQbFlJkPgcbuXnHQWK
 8iTQ==
X-Gm-Message-State: APjAAAWz7dBAKAVjmzd98Fv364QKwhtbZZ7PWCpKxWjKt9S2XqGg3nTR
 68qKL1349Sfb2uTJUomQQ3NNbyIn
X-Google-Smtp-Source: APXvYqz/qCyLyLgz0QSGV71zC6IcQS2+krCASRNMvRuuBdKyASayh/B+4p7bYjjNzI5p01LSp8R8Xw==
X-Received: by 2002:a1c:f218:: with SMTP id s24mr18494330wmc.128.1579511040462; 
 Mon, 20 Jan 2020 01:04:00 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id s128sm22691439wme.39.2020.01.20.01.03.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 20 Jan 2020 01:04:00 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Justin Guenther <jguenther@HIDDEN>
Subject: Re: bug#38822: 27.0.60; Crashes on MacOS 10.14 when quitting emacs,
 and intermittent crashes during normal usage
References: <CALGYRRc369TFDGsqf+am=iaDvgJ2shdRGZhty2Ys7jrihxcEmg@HIDDEN>
 <83a778l4q5.fsf@HIDDEN>
 <CALGYRRfD_WipVQ1bRCDgXOc4L6FP+S=PO6ETTtQyM+-A6hD9tQ@HIDDEN>
Date: Mon, 20 Jan 2020 10:03:59 +0100
In-Reply-To: <CALGYRRfD_WipVQ1bRCDgXOc4L6FP+S=PO6ETTtQyM+-A6hD9tQ@HIDDEN>
 (Justin Guenther's message of "Fri, 17 Jan 2020 12:10:24 -0600")
Message-ID: <m2iml6ts74.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38822
Cc: Eli Zaretskii <eliz@HIDDEN>, 38822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 17 Jan 2020 12:10:24 -0600, Justin Guenther <jguenther@HIDDEN> said:

    Justin> On Tue, Dec 31, 2019 at 12:39 PM Eli Zaretskii <eliz@HIDDEN> wrote:
    >> 
    >> 3 months went under the bridge between these two commits, so it's hard
    >> to tell which change caused that.  But there's a similar bug report at
    >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748.

    Justin> I think this is indeed a dupe of 38748, this patch seems to have fixed
    Justin> this crash for me:
    Justin> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748#92

Thanks for that. Eli, should we apply this to emacs-27 with
attribution to Pip Cet?:

diff --git a/src/nsterm.m b/src/nsterm.m
index 03754e5ae5..c1d1d41117 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -1644,6 +1644,7 @@ Hide the window (X11 semantics)
   [view release];
 
   xfree (f->output_data.ns);
+  f->output_data.ns = NULL;
 
   unblock_input ();
 }




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38822; Package emacs. Full text available.
Merged 38748 38822. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38822 <at> debbugs.gnu.org:


Received: (at 38822) by debbugs.gnu.org; 17 Jan 2020 18:11:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 13:11:05 2020
Received: from localhost ([127.0.0.1]:40122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isW5F-0000SO-CG
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 13:11:05 -0500
Received: from mail-qv1-f47.google.com ([209.85.219.47]:45949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jguenther@HIDDEN>) id 1isW59-0000S0-QF
 for 38822 <at> debbugs.gnu.org; Fri, 17 Jan 2020 13:10:59 -0500
Received: by mail-qv1-f47.google.com with SMTP id l14so11093077qvu.12
 for <38822 <at> debbugs.gnu.org>; Fri, 17 Jan 2020 10:10:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=YsiodqLAYz8Oe3Jun8bqxSjpdhehWuYk/FQagCUe1Sg=;
 b=amMrXLpkPuov0aukxfaJv0y7Pae/zee6QqDVtKbchgvK+wmTpcqaGJtLpWIOmQtEF2
 g2L1jbG8KVz6YcY94Qyh1Y/4XGJr/vIU1RGaZyasoSalZIZd7BI/uxqUc7mb7FPs9orj
 XEO1whtwWy9+0Vl4+bscKs1taq5eFWfwyA/XaFEraVPHh4Ym30rtg7314aqK3DkvWhE9
 lY8hIvBmN4JySjIvt1onx/V0NNioFFSj+MC9ABHeJzH6YzHzWwXWVkbE3JjsPCChC3Gh
 LN+oxSBF/OV9ulF+sfT30eOtD8+wzef8pHC5z/VlN0whUpgo/sHdxwOZm+UColak6Pqz
 K87A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=YsiodqLAYz8Oe3Jun8bqxSjpdhehWuYk/FQagCUe1Sg=;
 b=HEMMZKJQxKANVoSMI17qOba77XdB2UsNu7mN72ntC/G72lXX6TbU4qoSROnvF+ZNEm
 Hvo54UnM2sn4hH9iTlIyPlslZOPogAkxxgZENdazRW763H7eDhHfFvQdBbQltbjlAG8d
 u2/JUscQVi0D1ey0kCHczvixDSq2VLRoOIEU6rc2m6ecPY6ooFZjDV0KvLFPp6EF+ix1
 110QE5UPDMPPI7Wf5wxEnAWteOEj/oFiMtkT1cBF3pI6F3ZRdQSClrf5V18mKmX1TzUX
 0549Vud89GmRWEx2jPgnuivPxgO+d4bm1uUIIAin9YWjncGNQRrfDlh6KjNYzJFcipnF
 P7jg==
X-Gm-Message-State: APjAAAXgHYSzfpVQR/pc88IzOs6frHikLcwyIwHId9nGpAxs8s1dbN4c
 mooaAPuPVMjFcRKzdZhIo43lJ8labdzbLtn8mcnAXrlnprs=
X-Google-Smtp-Source: APXvYqwf25YhOmDZ2jTzqIdtlfQzv5FV84pWO0eKRXLj79J1nmImqeOortKT2kubDlGwNVELmCXr9Jll/prgeJv2uvI=
X-Received: by 2002:a0c:da08:: with SMTP id x8mr9030466qvj.166.1579284650386; 
 Fri, 17 Jan 2020 10:10:50 -0800 (PST)
MIME-Version: 1.0
References: <CALGYRRc369TFDGsqf+am=iaDvgJ2shdRGZhty2Ys7jrihxcEmg@HIDDEN>
 <83a778l4q5.fsf@HIDDEN>
In-Reply-To: <83a778l4q5.fsf@HIDDEN>
From: Justin Guenther <jguenther@HIDDEN>
Date: Fri, 17 Jan 2020 12:10:24 -0600
Message-ID: <CALGYRRfD_WipVQ1bRCDgXOc4L6FP+S=PO6ETTtQyM+-A6hD9tQ@HIDDEN>
Subject: Re: bug#38822: 27.0.60; Crashes on MacOS 10.14 when quitting emacs,
 and intermittent crashes during normal usage
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38822
Cc: 38822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Dec 31, 2019 at 12:39 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> 3 months went under the bridge between these two commits, so it's hard
> to tell which change caused that.  But there's a similar bug report at
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748.

I think this is indeed a dupe of 38748, this patch seems to have fixed
this crash for me:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748#92




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38822; Package emacs. Full text available.

Message received at 38822 <at> debbugs.gnu.org:


Received: (at 38822) by debbugs.gnu.org; 7 Jan 2020 00:11:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 06 19:11:55 2020
Received: from localhost ([127.0.0.1]:47028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iocTS-0006dD-RH
	for submit <at> debbugs.gnu.org; Mon, 06 Jan 2020 19:11:55 -0500
Received: from mail-qk1-f170.google.com ([209.85.222.170]:40904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jguenther@HIDDEN>) id 1iocIV-0006Dg-At
 for 38822 <at> debbugs.gnu.org; Mon, 06 Jan 2020 19:00:35 -0500
Received: by mail-qk1-f170.google.com with SMTP id c17so41149895qkg.7
 for <38822 <at> debbugs.gnu.org>; Mon, 06 Jan 2020 16:00:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=iDPFC1HUO3JRD2ann6avdRbM+Y3qJugN7nCZbfT6mIQ=;
 b=VuQN35oxPB59UH2XFTANroEm2mggL2tMlyZme1YYXs1KE+qvde+yd6e+KYNAokhPzN
 uv9+lvLzbnRBdD9nIY9mN7uLHPldqEEM6iUo36eAzkx9JqQFV7fI8445/6TfhLKIUkpM
 0GBZ0q+FLZm43aGS07JJDwIfloLnoW2InSRI4Wx/19K+FglXZZf4ZkIY0hVmvxjysQvp
 T1u7slMSyeIQ4RlfesQpXh4pxoIfuyV6eo4pAFlN+xmCn2Ynp/clL66k2oWgsiUoJ3R7
 cn95Zf2e2NPDSp2sKvivO5ubRglVBGsZFqPEfpuAq5FtuWVAqvikEzFrGYXPtQbKkd0l
 SL+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=iDPFC1HUO3JRD2ann6avdRbM+Y3qJugN7nCZbfT6mIQ=;
 b=s7uQ5Ne9cXX7GxVKLLBjaM7UsxOqLkTvyxSQk3LNYdPGMh4dkb0hLHIMbrS/lHib4/
 YZqkHqE8A1ifXJLJrTJ6cn83g/HTIbMyYNa1+CbC/HvuEtRKw6tHe3CDC4zU4/NYjcEH
 /rEhCCkKB70Mozfy63/+C7ZNVYbY+l+O+zX9pkeT1ZoHs1Bd/X9mNRxzirOFakgLXvc/
 yEgsVet7MejU7i33KEGSEvQsytMd7SyuSKBE+5dGMgLn7g0MMcqt8R+8Kds4WAziHtuP
 HLFR0cM+VyIkpxbuTVPNabXzVwpUCloxh740nYv1ITS5fXmtoHk8vO9KCASaJyRylKKm
 gyhg==
X-Gm-Message-State: APjAAAXt3oA66gw6CHAHuHhpc5GHRSTR7sqSxzJUByCNdk5sUYRlVDRo
 p4wSH7oVIOx4p7Y+U3GjcYaKdtEboWONvhCcT1cNCskD
X-Google-Smtp-Source: APXvYqxJFa5VtK5RmcsuYhBrOlZnWM+cCnDQJaeM6johOol+7X+y4UdNLlx54IJJgPFj7ebGxMYs7nlUJEyU+xa+znk=
X-Received: by 2002:a37:b402:: with SMTP id d2mr81722454qkf.195.1578355229707; 
 Mon, 06 Jan 2020 16:00:29 -0800 (PST)
MIME-Version: 1.0
References: <CALGYRRc369TFDGsqf+am=iaDvgJ2shdRGZhty2Ys7jrihxcEmg@HIDDEN>
 <83a778l4q5.fsf@HIDDEN>
In-Reply-To: <83a778l4q5.fsf@HIDDEN>
From: Justin Guenther <jguenther@HIDDEN>
Date: Mon, 6 Jan 2020 18:00:03 -0600
Message-ID: <CALGYRRfGv3NN8DRF7K3OXNMc-XZ-Z3W=69J1O_Eub7Wr1z-nEA@HIDDEN>
Subject: Re: bug#38822: 27.0.60; Crashes on MacOS 10.14 when quitting emacs,
 and intermittent crashes during normal usage
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38822
X-Mailman-Approved-At: Mon, 06 Jan 2020 19:11:53 -0500
Cc: 38822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Dec 31, 2019 at 12:39 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> 3 months went under the bridge between these two commits, so it's hard
> to tell which change caused that.  But there's a similar bug report at
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748.

I'm not sure if this helps any, but I built emacs with debug symbols +
asserts enabled over the
weekend (at e1b3fd3beb) and saw this assertion failed message the next
time it crashed:

> ./lisp.h:1621: Emacs fatal error: assertion failed: 0 <= nbytes

I didn't manage to catch it in gdb yet, but this message was after a
crash with the same/similar stack trace as above.

Sorry, I know this is a reach without a reproduction steps/bisecting,
I'll try to actually catch
this crash in gdb and see if I can find more info when I have time.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38822; Package emacs. Full text available.

Message received at 38822 <at> debbugs.gnu.org:


Received: (at 38822) by debbugs.gnu.org; 31 Dec 2019 18:39:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 13:39:14 2019
Received: from localhost ([127.0.0.1]:35098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imMQD-0006V0-PT
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2019 13:39:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51137)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1imMQB-0006Um-2o
 for 38822 <at> debbugs.gnu.org; Tue, 31 Dec 2019 13:39:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53968)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1imMQ5-0000kT-M4; Tue, 31 Dec 2019 13:39:05 -0500
Received: from [176.228.60.248] (port=4918 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1imMQ4-0002ta-UX; Tue, 31 Dec 2019 13:39:05 -0500
Date: Tue, 31 Dec 2019 20:39:14 +0200
Message-Id: <83a778l4q5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Justin Guenther <jguenther@HIDDEN>
In-reply-to: <CALGYRRc369TFDGsqf+am=iaDvgJ2shdRGZhty2Ys7jrihxcEmg@HIDDEN>
 (message from Justin Guenther on Mon, 30 Dec 2019 13:26:05 -0600)
Subject: Re: bug#38822: 27.0.60;
 Crashes on MacOS 10.14 when quitting emacs, and intermittent crashes
 during normal usage
References: <CALGYRRc369TFDGsqf+am=iaDvgJ2shdRGZhty2Ys7jrihxcEmg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38822
Cc: 38822 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Justin Guenther <jguenther@HIDDEN>
> Date: Mon, 30 Dec 2019 13:26:05 -0600
> 
>     20  libsystem_platform.dylib        0x00007fff683a1b5d _sigtramp + 29
>     21  ???                             000000000000000000 0 + 0
>     22  org.gnu.Emacs                   0x000000010fc10788 mark_vectorlike + 92
>     23  org.gnu.Emacs                   0x000000010fc0fd0a mark_object + 1348
>     24  org.gnu.Emacs                   0x000000010fc0fb95 mark_object + 975
>     25  org.gnu.Emacs                   0x000000010fc10788 mark_vectorlike + 92
>     <snip>
> 
> As far as I can tell, these crashes did not happen in an older version
> that I was using for a while (built from master @
>  cbc10ec71e9f189e8d6fd5c6927aec4872e0fd96).
> 
> They seemed to start happening when I updated+rebuilt emacs from source
> recently, I think approximately @ 0bc00cda3cb6e765b0e1f0105edf75425bce13c9.

3 months went under the bridge between these two commits, so it's hard
to tell which change caused that.  But there's a similar bug report at
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38822; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Dec 2019 20:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 30 15:11:10 2019
Received: from localhost ([127.0.0.1]:33472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1im1Nd-0003rl-Sr
	for submit <at> debbugs.gnu.org; Mon, 30 Dec 2019 15:11:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:50632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jguenther@HIDDEN>) id 1im0gp-0000mM-Ac
 for submit <at> debbugs.gnu.org; Mon, 30 Dec 2019 14:26:55 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59765)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jguenther@HIDDEN>) id 1im0ge-0000wc-Vz
 for bug-gnu-emacs@HIDDEN; Mon, 30 Dec 2019 14:26:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jguenther@HIDDEN>) id 1im0gV-0000pw-Ld
 for bug-gnu-emacs@HIDDEN; Mon, 30 Dec 2019 14:26:44 -0500
Received: from mail-qk1-x72a.google.com ([2607:f8b0:4864:20::72a]:40766)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jguenther@HIDDEN>) id 1im0gV-0000nz-8F
 for bug-gnu-emacs@HIDDEN; Mon, 30 Dec 2019 14:26:35 -0500
Received: by mail-qk1-x72a.google.com with SMTP id c17so26942337qkg.7
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 Dec 2019 11:26:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=c9taen0toG+8gyHW+4HeIighguzxTbTP8KX4U5TF8NU=;
 b=a6UNr/9n0XZhRsBYLy9nPCfpfOMk5TDICd0Wl6af7LgRuVmAIqxdLgwnk/WEUaUt0M
 mw4VZ1l7/ybIcEXzVI4D3EHcGe+uJxa/O2yjZt+ngXfK8nAiqcIEgYLPw/mMSnZtFRzF
 tNLkeygFuy7IsESc2Fdmxpvi5aoY280GzQmY6kRl6ETsJPedoGHUBypyof6WkP/w6TG8
 IpRXaoNX9zwCs8Q7itpR+VfGkQW25SK2F8jw8upZgP3VXndmD3Vx0KQ3WneKq3RUKtqj
 OIt18Ntir+IwMVJdKb1llejtf730y51VoGUjB5sDmrhL68dyG7dwYWyATbltamxL8xVU
 92PQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=c9taen0toG+8gyHW+4HeIighguzxTbTP8KX4U5TF8NU=;
 b=FJBj/2qkZz3UFCLE3tJs8++wkznapPMuqRN6rh2myoA6Cqopnx1B0HcyDTaViRB1rq
 +M8tHf2zkR9HzVaAvRqjnJa0gKlztCk9aKafiiPTVYFO9suCfLgPE19thucC5I6YbXgA
 YL47Sz4iJSXyCM9Ye7g2uhJhCE2+qvDoJn9s/8MNuzpXLRT134ZobUh2xNWcNXL92QXG
 G+NHdzW5iArSTKmI+iE4TDhjxZzSUByK0Mp46fZlJ8KoSG2uvlf+E2pJq0kw7xlBCI65
 KIzyPtJ1l4x5474LNFWsg8a3q6mqa1MPQKsqjsskKtFuEmxbWWPlvH6iZLhuMMZ5FAkW
 pWcw==
X-Gm-Message-State: APjAAAVyOpQVxVP+mcgDaV6iktsDIF2lh5oGdjjpeJFhqjH8UjvZtgdW
 YL1K0wglQPnPd7Atd0eWHe4pEOwfDEhy4yg2wjZToFhz
X-Google-Smtp-Source: APXvYqxDOCQV1nAj1LV9iKdeRktXxJZZW+uiCXffzhoD97f04yh18AwDZ7ENJfztGqOQu6TAu1uwaRvB668drOnysug=
X-Received: by 2002:a37:b402:: with SMTP id d2mr53471959qkf.195.1577733992073; 
 Mon, 30 Dec 2019 11:26:32 -0800 (PST)
MIME-Version: 1.0
From: Justin Guenther <jguenther@HIDDEN>
Date: Mon, 30 Dec 2019 13:26:05 -0600
Message-ID: <CALGYRRc369TFDGsqf+am=iaDvgJ2shdRGZhty2Ys7jrihxcEmg@HIDDEN>
Subject: 27.0.60; Crashes on MacOS 10.14 when quitting emacs, and intermittent
 crashes during normal usage
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::72a
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 30 Dec 2019 15:11:08 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

Ever since recently updating+recompiling emacs from source, I've been
getting random/intermittent crashes in normal usage, and a reliable
crash during 'quit-emacs'.

I've pasted an example crash log at the end of this message. I'm not
very familiar with debugging further than that but I did notice that all
of these crashes look very much the same/similar. There's always a bunch
of 'mark_vectorlike' and 'mark_object' calls prior to the crash (see end
of message for a full crash log). I can get more crash logs as needed,
I saved a few of them.

    Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
    0   libsystem_kernel.dylib          0x00007fff682f12c2 __pthread_kill + 10
    1   libsystem_pthread.dylib         0x00007fff683acbf1 pthread_kill + 284
    2   libsystem_c.dylib               0x00007fff6820ed8a raise + 26
    3   org.gnu.Emacs                   0x000000010fbbeb9a
terminate_due_to_signal + 152
    4   org.gnu.Emacs                   0x000000010fbd6a2a emacs_abort + 19
    5   org.gnu.Emacs                   0x000000010fc2d781 signal_or_quit + 1299
    6   org.gnu.Emacs                   0x000000010fc2d26c Fsignal + 32
    7   org.gnu.Emacs                   0x000000010fc2d7ab xsignal + 9
    8   org.gnu.Emacs                   0x000000010fc2bfaa xsignal1 + 28
    9   org.gnu.Emacs                   0x000000010fbfb52e compile_pattern + 554
    10  org.gnu.Emacs                   0x000000010fbfb2cf
fast_string_match_internal + 30
    11  org.gnu.Emacs                   0x000000010fbea0a6
Ffind_file_name_handler + 175
    12  org.gnu.Emacs                   0x000000010fbeba0f
Fexpand_file_name + 83
    13  org.gnu.Emacs                   0x000000010fbf14af Fdo_auto_save + 273
    14  org.gnu.Emacs                   0x000000010fbbed90 shut_down_emacs + 306
    15  org.gnu.Emacs                   0x000000010fbbeb68
terminate_due_to_signal + 102
    16  org.gnu.Emacs                   0x000000010fbd8ebd
handle_fatal_signal + 14
    17  org.gnu.Emacs                   0x000000010fbd8f2f
deliver_thread_signal + 114
    18  org.gnu.Emacs                   0x000000010fbd7cbc
deliver_fatal_thread_signal + 9
    19  org.gnu.Emacs                   0x000000010fbd8fd7 handle_sigsegv + 168
    20  libsystem_platform.dylib        0x00007fff683a1b5d _sigtramp + 29
    21  ???                             000000000000000000 0 + 0
    22  org.gnu.Emacs                   0x000000010fc10788 mark_vectorlike + 92
    23  org.gnu.Emacs                   0x000000010fc0fd0a mark_object + 1348
    24  org.gnu.Emacs                   0x000000010fc0fb95 mark_object + 975
    25  org.gnu.Emacs                   0x000000010fc10788 mark_vectorlike + 92
    <snip>

As far as I can tell, these crashes did not happen in an older version
that I was using for a while (built from master @
 cbc10ec71e9f189e8d6fd5c6927aec4872e0fd96).

They seemed to start happening when I updated+rebuilt emacs from source
recently, I think approximately @ 0bc00cda3cb6e765b0e1f0105edf75425bce13c9.

I also tried updating from the emacs-27 branch today
(59f71d20eade09e6c2ef99fc4d9b99a161bff040), but I'm still seeing
these crashes.

I haven't really tried much to reproduce this from 'emacs -Q' or running
in a debugger, but I can try to do that when I have time, if
needed. Just let me know.

NB: I've removed some info from the M-x report-emacs-bug default
message contents, as I ran that command after restarting emacs
the last time it crashed, and the info seemed irrelevant
(but let me know if it'd be useful).

---

In GNU Emacs 27.0.60 (build 1, x86_64-apple-darwin18.7.0, NS
appkit-1671.60 Version 10.14.6 (Build 18G2022))
 of 2019-12-30 built on <snip>
Repository revision: 59f71d20eade09e6c2ef99fc4d9b99a161bff040
Repository branch: emacs-27
Windowing system distributor 'Apple', version 10.3.1671
System Description:  Mac OS X 10.14.6

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs/HEAD-59f71d2/share/info/emacs
 --prefix=/usr/local/Cellar/emacs/HEAD-59f71d2 --with-gnutls --without-x
 --with-xml2 --with-dbus --with-imagemagick --with-modules --with-rsvg
 --with-json --with-ns --disable-ns-self-contained 'CFLAGS=-Os -w -pipe
 -march=nehalem -Xclang -target-feature -Xclang -aes
 -mmacosx-version-min=10.14 -isysroot
 /Library/Developer/CommandLineTools/SDKs/MacOSX10.14.sdk'
 'CPPFLAGS=-I/usr/local/opt/icu4c/include
 -I/usr/local/opt/sqlite/include -I/usr/local/opt/readline/include
 -I/usr/local/opt/imagemagick@6/include
 -I/usr/local/opt/openssl@HIDDEN/include -I/usr/local/opt/gettext/include
 -F/usr/local/Frameworks -isysroot
 /Library/Developer/CommandLineTools/SDKs/MacOSX10.14.sdk'
 'LDFLAGS=-L/usr/local/opt/icu4c/lib -L/usr/local/opt/sqlite/lib
 -L/usr/local/opt/readline/lib -L/usr/local/opt/imagemagick@6/lib
 -L/usr/local/opt/openssl@HIDDEN/lib -L/usr/local/opt/libffi/lib
 -L/usr/local/opt/gettext/lib -L/usr/local/lib -F/usr/local/Frameworks
 -Wl,-headerpad_max_install_names -isysroot
 /Library/Developer/CommandLineTools/SDKs/MacOSX10.14.sdk''

Configured features:
RSVG IMAGEMAGICK DBUS GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS NS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $EMACSDATA: /usr/local/opt/emacs/share/emacs/27.0.60/etc
  value of $EMACSDOC: /usr/local/opt/emacs/share/emacs/27.0.60/etc/
  value of $EMACSLOADPATH:
:/usr/local/opt/emacs/share/emacs/site-lisp:/usr/local/share/emacs/site-lisp/cask:/usr/local/opt/emacs/share/emacs/27.0.60/lisp:/usr/local/opt/emacs/share/emacs/27.0.60/site-lisp
  value of $EMACSPATH:
/usr/local/opt/emacs/libexec/emacs/27.0.60/x86_64-apple-darwin18.7.0
  value of $LC_ALL: en_CA.UTF-8
  value of $LANG: en_CA.UTF-8
  locale-coding-system: utf-8

Major mode: <snip>

Minor modes in effect:
  <snip>

Load-path shadows:
  <snip>

Features:
  <snip>

Memory information:
((conses 16 1091766 240948)
 (symbols 48 96866 758)
 (strings 32 598848 56151)
 (string-bytes 1 16922970)
 (vectors 16 128214)
 (vector-slots 8 3096229 249336)
 (floats 8 3463 2170)
 (intervals 56 2548 852)
 (buffers 1000 14))

---

Example crash log follows, from an intermittent/random crash during
normal usage. I can get
more of these if needed, to my unfamiliar eyes they look very similar
though, at least in the thread#0
trace.

---

Process:               Emacs [17989]
Path:
/usr/local/Cellar/emacs/HEAD-59f71d2/Emacs.app/Contents/MacOS/Emacs
Identifier:            org.gnu.Emacs
Version:               Version 27.0.60 (9.0)
Code Type:             X86-64 (Native)
Parent Process:        zsh [1286]
Responsible:           Emacs [17989]
User ID:               501

Date/Time:             2019-12-30 12:04:46.948 -0600
OS Version:            Mac OS X 10.14.6 (18G2022)
Report Version:        12
Bridge OS Version:     4.2 (17P2551)
Anonymous UUID:        96479894-1440-3257-0110-9389865EDB4A

Sleep/Wake UUID:       A57619B3-627D-498A-91FD-28717568A219

Time Awake Since Boot: 77000 seconds
Time Since Wake:       8700 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       EXC_I386_GPFLT
Exception Note:        EXC_CORPSE_NOTIFY

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        0x00007fff682f12c2 __pthread_kill + 10
1   libsystem_pthread.dylib        0x00007fff683acbf1 pthread_kill + 284
2   libsystem_c.dylib              0x00007fff6820ed8a raise + 26
3   org.gnu.Emacs                  0x000000010fbbeb9a
terminate_due_to_signal + 152
4   org.gnu.Emacs                  0x000000010fbd6a2a emacs_abort + 19
5   org.gnu.Emacs                  0x000000010fc2d781 signal_or_quit + 1299
6   org.gnu.Emacs                  0x000000010fc2d26c Fsignal + 32
7   org.gnu.Emacs                  0x000000010fc2d7ab xsignal + 9
8   org.gnu.Emacs                  0x000000010fc2bfaa xsignal1 + 28
9   org.gnu.Emacs                  0x000000010fbfb52e compile_pattern + 554
10  org.gnu.Emacs                  0x000000010fbfb2cf
fast_string_match_internal + 30
11  org.gnu.Emacs                  0x000000010fbea0a6
Ffind_file_name_handler + 175
12  org.gnu.Emacs                  0x000000010fbeba0f Fexpand_file_name + 83
13  org.gnu.Emacs                  0x000000010fbf14af Fdo_auto_save + 273
14  org.gnu.Emacs                  0x000000010fbbed90 shut_down_emacs + 306
15  org.gnu.Emacs                  0x000000010fbbeb68
terminate_due_to_signal + 102
16  org.gnu.Emacs                  0x000000010fbd8ebd handle_fatal_signal + 14
17  org.gnu.Emacs                  0x000000010fbd8f2f
deliver_thread_signal + 114
18  org.gnu.Emacs                  0x000000010fbd7cbc
deliver_fatal_thread_signal + 9
19  org.gnu.Emacs                  0x000000010fbd8fd7 handle_sigsegv + 168
20  libsystem_platform.dylib      0x00007fff683a1b5d _sigtramp + 29
21  ???                            000000000000000000 0 + 0
22  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
23  org.gnu.Emacs                  0x000000010fc0fd0a mark_object + 1348
24  org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
25  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
26  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
27  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
28  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
29  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
30  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
31  org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
32  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
33  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
34  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
35  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
36  org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
37  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
38  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
39  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
40  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
41  org.gnu.Emacs                  0x000000010fc104ff mark_compiled + 89
42  org.gnu.Emacs                  0x000000010fc0fa0a mark_object + 580
43  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
44  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
45  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
46  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
47  org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
48  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
49  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
50  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
51  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
52  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
53  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
54  org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
55  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
56  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
57  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
58  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
59  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
60  org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
61  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
62  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
63  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
64  org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
65  org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
66  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
67  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
68  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
69  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
70  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
71  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
72  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
73  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
74  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
75  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
76  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
77  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
78  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
79  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
80  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
81  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
82  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
83  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
84  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
85  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
86  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
87  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
88  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
89  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
90  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
91  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
92  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
93  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
94  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
95  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
96  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
97  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
98  org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
99  org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
100 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
101 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
102 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
103 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
104 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
105 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
106 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
107 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
108 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
109 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
110 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
111 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
112 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
113 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
114 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
115 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
116 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
117 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
118 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
119 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
120 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
121 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
122 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
123 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
124 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
125 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
126 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
127 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
128 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
129 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
130 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
131 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
132 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
133 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
134 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
135 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
136 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
137 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
138 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
139 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
140 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
141 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
142 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
143 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
144 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
145 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
146 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
147 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
148 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
149 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
150 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
151 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
152 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
153 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
154 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
155 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
156 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
157 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
158 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
159 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
160 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
161 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
162 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
163 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
164 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
165 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
166 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
167 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
168 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
169 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
170 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
171 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
172 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
173 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
174 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
175 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
176 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
177 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
178 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
179 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
180 org.gnu.Emacs                  0x000000010fc105f9 mark_char_table + 219
181 org.gnu.Emacs                  0x000000010fc1063c mark_char_table + 286
182 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
183 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
184 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
185 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
186 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
187 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
188 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
189 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
190 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
191 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
192 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
193 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
194 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
195 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
196 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
197 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
198 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
199 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
200 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
201 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
202 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
203 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
204 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
205 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
206 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
207 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
208 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
209 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
210 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
211 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
212 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
213 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
214 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
215 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
216 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
217 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
218 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
219 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
220 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
221 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
222 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
223 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
224 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
225 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
226 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
227 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
228 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
229 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
230 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
231 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
232 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
233 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
234 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
235 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
236 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
237 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
238 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
239 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
240 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
241 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
242 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
243 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
244 org.gnu.Emacs                  0x000000010fc104ff mark_compiled + 89
245 org.gnu.Emacs                  0x000000010fc0fa0a mark_object + 580
246 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
247 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
248 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
249 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
250 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
251 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
252 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
253 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
254 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
255 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
256 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
257 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
258 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
259 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
260 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
261 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
262 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
263 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
264 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
265 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
266 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
267 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
268 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
269 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
270 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
271 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
272 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
273 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
274 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
275 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
276 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
277 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
278 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
279 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
280 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
281 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
282 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
283 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
284 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
285 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
286 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
287 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
288 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
289 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
290 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
291 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
292 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
293 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
294 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
295 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
296 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
297 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
298 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
299 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
300 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
301 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
302 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
303 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
304 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
305 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
306 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
307 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
308 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
309 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
310 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
311 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
312 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
313 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
314 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
315 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
316 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
317 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
318 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
319 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
320 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
321 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
322 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
323 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
324 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
325 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
326 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
327 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
328 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
329 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
330 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
331 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
332 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
333 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
334 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
335 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
336 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
337 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
338 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
339 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
340 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
341 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
342 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
343 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
344 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
345 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
346 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
347 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
348 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
349 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
350 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
351 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
352 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
353 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
354 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
355 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
356 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
357 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
358 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
359 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
360 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
361 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
362 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
363 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
364 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
365 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
366 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
367 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
368 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
369 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
370 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
371 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
372 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
373 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
374 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
375 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
376 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
377 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
378 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
379 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
380 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
381 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
382 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
383 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
384 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
385 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
386 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
387 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
388 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
389 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
390 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
391 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
392 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
393 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
394 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
395 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
396 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
397 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
398 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
399 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
400 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
401 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
402 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
403 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
404 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
405 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
406 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
407 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
408 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
409 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
410 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
411 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
412 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
413 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
414 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
415 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
416 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
417 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
418 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
419 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
420 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
421 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
422 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
423 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
424 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
425 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
426 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
427 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
428 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
429 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
430 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
431 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
432 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
433 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
434 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
435 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
436 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
437 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
438 org.gnu.Emacs                  0x000000010fc104ff mark_compiled + 89
439 org.gnu.Emacs                  0x000000010fc0fa0a mark_object + 580
440 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
441 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
442 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
443 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
444 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
445 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
446 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
447 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
448 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
449 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
450 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
451 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
452 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
453 org.gnu.Emacs                  0x000000010fc107ed mark_localized_symbol + 84
454 org.gnu.Emacs                  0x000000010fc0fb8a mark_object + 964
455 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
456 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
457 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
458 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
459 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
460 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
461 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
462 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
463 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
464 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
465 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
466 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
467 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
468 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
469 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
470 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
471 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
472 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
473 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
474 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
475 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
476 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
477 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
478 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
479 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
480 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
481 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
482 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
483 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
484 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
485 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
486 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
487 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
488 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
489 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
490 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
491 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
492 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
493 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
494 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
495 org.gnu.Emacs                  0x000000010fc0fb59 mark_object + 915
496 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
497 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
498 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
499 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
500 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
501 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
502 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
503 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
504 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
505 org.gnu.Emacs                  0x000000010fc0f8d9 mark_object + 275
506 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
507 org.gnu.Emacs                  0x000000010fc0fb95 mark_object + 975
508 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
509 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906
510 org.gnu.Emacs                  0x000000010fc10788 mark_vectorlike + 92
511 org.gnu.Emacs                  0x000000010fc0fb50 mark_object + 906

Thread 1:: gmain
0   libsystem_kernel.dylib        0x00007fff682f336a poll + 10
1   libglib-2.0.0.dylib            0x00000001109222b6
g_main_context_iterate + 422
2   libglib-2.0.0.dylib            0x00000001109223c4
g_main_context_iteration + 100
3   libglib-2.0.0.dylib            0x0000000110923ff6 glib_worker_main + 54
4   libglib-2.0.0.dylib            0x000000011094ce82 g_thread_proxy + 66
5   libsystem_pthread.dylib        0x00007fff683aa2eb _pthread_body + 126
6   libsystem_pthread.dylib        0x00007fff683ad249 _pthread_start + 66
7   libsystem_pthread.dylib        0x00007fff683a940d thread_start + 13

Thread 2:
0   libsystem_kernel.dylib        0x00007fff682f2616 __select + 10
1   org.gnu.Emacs                  0x000000010fc97875 -[EmacsApp
fd_handler:] + 214
2   com.apple.Foundation          0x00007fff3e4af0e2 __NSThread__start__ + 1194
3   libsystem_pthread.dylib        0x00007fff683aa2eb _pthread_body + 126
4   libsystem_pthread.dylib        0x00007fff683ad249 _pthread_start + 66
5   libsystem_pthread.dylib        0x00007fff683a940d thread_start + 13

Thread 3:: com.apple.NSEventThread
0   libsystem_kernel.dylib        0x00007fff682eb21a mach_msg_trap + 10
1   libsystem_kernel.dylib        0x00007fff682eb768 mach_msg + 60
2   com.apple.CoreFoundation      0x00007fff3c25499e
__CFRunLoopServiceMachPort + 328
3   com.apple.CoreFoundation      0x00007fff3c253f0c __CFRunLoopRun + 1612
4   com.apple.CoreFoundation      0x00007fff3c25366e CFRunLoopRunSpecific + 455
5   com.apple.AppKit              0x00007fff398514a2 _NSEventThread + 175
6   libsystem_pthread.dylib        0x00007fff683aa2eb _pthread_body + 126
7   libsystem_pthread.dylib        0x00007fff683ad249 _pthread_start + 66
8   libsystem_pthread.dylib        0x00007fff683a940d thread_start + 13

Thread 4:
0   libsystem_pthread.dylib        0x00007fff683a93f0 start_wqthread + 0

Thread 5:
0   libsystem_pthread.dylib        0x00007fff683a93f0 start_wqthread + 0

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000111ec05c0  rcx:
0x000000011010fa18  rdx: 0x0000000000000000
  rdi: 0x0000000000000307  rsi: 0x0000000000000006  rbp:
0x000000011010fa50  rsp: 0x000000011010fa18
   r8: 0x000000010fcec2ce   r9: 0x000000010fcec2ce  r10:
0x0000000000000000  r11: 0x0000000000000287
  r12: 0x0000000000000307  r13: 0x0000000110112460  r14:
0x0000000000000006  r15: 0x000000000000002d
  rip: 0x00007fff682f12c2  rfl: 0x0000000000000286  cr2: 0x00007ff446f6d000

Logical CPU:     0
Error Code:      0x02000148
Trap Number:     133


Binary Images:
       0x10fb17000 -        0x10fd00ff3 +org.gnu.Emacs (Version
27.0.60 - 9.0) <497AFD2A-A886-383A-A36F-D71C91D7F555>
/usr/local/Cellar/emacs/HEAD-59f71d2/Emacs.app/Contents/MacOS/Emacs
       0x1101b6000 -        0x1104edfe7 +librsvg-2.2.dylib (0)
<82F61001-8749-3F55-BAB4-B54034A9A85E>
/usr/local/opt/librsvg/lib/librsvg-2.2.dylib
       0x1105f4000 -        0x11073fffb +libgio-2.0.0.dylib (0)
<49823F11-F145-3744-8FB4-AC73EC0948B2>
/usr/local/opt/glib/lib/libgio-2.0.0.dylib
       0x110855000 -        0x11086efff +libgdk_pixbuf-2.0.0.dylib (0)
<299B8F74-FA05-396F-8C56-00AFEFD270D2>
/usr/local/opt/gdk-pixbuf/lib/libgdk_pixbuf-2.0.0.dylib
       0x110882000 -        0x1108bbfff +libgobject-2.0.0.dylib (0)
<FACBEC46-A317-3595-B24C-371CDDC32426>
/usr/local/opt/glib/lib/libgobject-2.0.0.dylib
       0x1108e7000 -        0x1109d6fff +libglib-2.0.0.dylib (0)
<155E9A1A-A003-32AD-96E6-3472C101378B>
/usr/local/opt/glib/lib/libglib-2.0.0.dylib
       0x110a32000 -        0x110a3affb +libintl.8.dylib (0)
<CD236902-DB50-39BB-86BB-E9F0D22E5649>
/usr/local/opt/gettext/lib/libintl.8.dylib
       0x110a41000 -        0x110aedff7 +libcairo.2.dylib (0)
<1513A1FC-E5D7-3135-83E0-92A07B536E25>
/usr/local/opt/cairo/lib/libcairo.2.dylib
       0x110b1c000 -        0x110bfcff7 +libMagickWand-6.Q16.6.dylib
(0) <F0A3B2BA-7A43-3C0C-AC94-8802C72C5914>
/usr/local/opt/imagemagick@6/lib/libMagickWand-6.Q16.6.dylib
       0x110c25000 -        0x110d90ff3 +libMagickCore-6.Q16.6.dylib
(0) <41533840-F354-33AF-A4FC-30C9C8BB454B>
/usr/local/opt/imagemagick@6/lib/libMagickCore-6.Q16.6.dylib
       0x110ddc000 -        0x110e09ff3 +libdbus-1.3.dylib (0)
<984FF482-39FE-3811-97AE-2027B9F99F2D>
/usr/local/opt/dbus/lib/libdbus-1.3.dylib
       0x110e20000 -        0x110f70fdb +libgnutls.30.dylib (0)
<ED5D0800-58E4-3B2E-B458-A142AF8B58E7>
/usr/local/opt/gnutls/lib/libgnutls.30.dylib
       0x110fbe000 -        0x110ff6ffb +liblcms2.2.dylib (0)
<16969B00-10FD-31FC-BB14-DE1C056658A5>
/usr/local/opt/little-cms2/lib/liblcms2.2.dylib
       0x11100e000 -        0x111016ff3 +libjansson.4.dylib (0)
<AC130728-6541-392A-86E6-3047FCD1D281>
/usr/local/opt/jansson/lib/libjansson.4.dylib
       0x111020000 -        0x11107ffc7 +libgmp.10.dylib (0)
<795EB8F9-E194-3677-B253-2EDB84AB55FB>
/usr/local/opt/gmp/lib/libgmp.10.dylib
       0x11108f000 -        0x1110b2ff7 +libpng16.16.dylib (0)
<B7CE95CF-E67E-39EB-8DF5-B89849A02BDA>
/usr/local/opt/libpng/lib/libpng16.16.dylib
       0x1110c0000 -        0x1110c5fff +libcairo-gobject.2.dylib (0)
<94B96E28-D11B-3960-9832-23CDA899F6C3>
/usr/local/opt/cairo/lib/libcairo-gobject.2.dylib
       0x1110cd000 -        0x1110dbfff +libpangocairo-1.0.0.dylib (0)
<57CEBA16-DD38-318B-838E-968986C97A8B>
/usr/local/opt/pango/lib/libpangocairo-1.0.0.dylib
       0x1110ed000 -        0x1110fafff +libpangoft2-1.0.0.dylib (0)
<A9F5DDBF-11CC-3A9D-B8B5-8D2E4CC2ABCB>
/usr/local/opt/pango/lib/libpangoft2-1.0.0.dylib
       0x11110b000 -        0x111143ff7 +libpango-1.0.0.dylib (0)
<97A3EF98-BB9B-3E1D-AD7D-D2DDC65DAC4A>
/usr/local/opt/pango/lib/libpango-1.0.0.dylib
       0x11116b000 -        0x1111fbff7 +libharfbuzz.0.dylib (0)
<0B2263D8-F9F6-353F-A880-E51671E2B566>
/usr/local/opt/harfbuzz/lib/libharfbuzz.0.dylib
       0x111246000 -        0x111276ffb +libfontconfig.1.dylib (0)
<AB099497-CD76-3CA9-B150-CA9D00CC34B8>
/usr/local/opt/fontconfig/lib/libfontconfig.1.dylib
       0x111289000 -        0x111304fff +libfreetype.6.dylib (0)
<02EE484C-8D5B-36C3-988B-00DD0C7369FE>
/usr/local/opt/freetype/lib/libfreetype.6.dylib
       0x111321000 -        0x111344fff +libcroco-0.6.3.dylib (0)
<0D2FDAEF-E44C-3178-BDA0-AC744A697D48>
/usr/local/opt/libcroco/lib/libcroco-0.6.3.dylib
       0x111356000 -        0x1113ccfff +libpixman-1.0.dylib (0)
<524D10A3-8009-3310-8776-FC52151C2ED3>
/usr/local/opt/pixman/lib/libpixman-1.0.dylib
       0x1113e2000 -        0x1113e6ff7 +libffi.6.dylib (0)
<45DBAA49-5541-3015-9C4B-BF0E7C813B35>
/usr/local/opt/libffi/lib/libffi.6.dylib
       0x1113ed000 -        0x111457fff +libpcre.1.dylib (0)
<56C30BD0-9132-3FFB-AD2B-2D995132F810>
/usr/local/opt/pcre/lib/libpcre.1.dylib
       0x111460000 -        0x111462ff3 +libgmodule-2.0.0.dylib (0)
<7B963CD4-C705-35AC-8C7C-10A2DB75DA49>
/usr/local/opt/glib/lib/libgmodule-2.0.0.dylib
       0x111469000 -        0x111481ff7 +libfribidi.0.dylib (0)
<5316A5A4-FA72-349F-8798-96A414B3B1F0>
/usr/local/opt/fribidi/lib/libfribidi.0.dylib
       0x11148b000 -        0x1114a0ff3 +libgraphite2.3.dylib (0)
<7FF5EE9E-780B-3E19-974C-4DA3EE58FBD9>
/usr/local/opt/graphite2/lib/libgraphite2.3.dylib
       0x1114af000 -        0x1114cbffb +liblzma.5.dylib (0)
<6AE21824-5738-33EA-A45B-9B0E053B000E>
/usr/local/opt/xz/lib/liblzma.5.dylib
       0x1114d1000 -        0x1114d4047  libobjc-trampolines.dylib
(756.2) <5795A048-3940-3801-90CE-33D1B1AF81F4>
/usr/lib/libobjc-trampolines.dylib
       0x1114d8000 -        0x1114ddfff +libltdl.7.dylib (0)
<79410FDB-53B2-39BE-9B0D-6F0F1E4ABCA9>
/usr/local/opt/libtool/lib/libltdl.7.dylib
       0x1114e1000 -        0x111582ff3 +libp11-kit.0.dylib (0)
<D9A2AFD8-A29C-3E47-8635-AFE8C0731FE5>
/usr/local/opt/p11-kit/lib/libp11-kit.0.dylib
       0x1115d4000 -        0x1115f2ffb +libidn2.0.dylib (0)
<03A87F59-AB59-3D83-BEAF-B68CF78B1CDF>
/usr/local/opt/libidn2/lib/libidn2.0.dylib
       0x1115fd000 -        0x111763ff7 +libunistring.2.dylib (0)
<FD8AE4C2-FA79-3935-AAA7-146844F92462>
/usr/local/opt/libunistring/lib/libunistring.2.dylib
       0x111777000 -        0x111783ff7 +libtasn1.6.dylib (0)
<AEC3F4D0-BB03-36EF-85C5-A49F632B53B6>
/usr/local/opt/libtasn1/lib/libtasn1.6.dylib
       0x11178b000 -        0x1117b0ff7 +libnettle.6.dylib (0)
<F07C4E8D-7087-384C-AC93-46234AEB2391>
/usr/local/opt/nettle/lib/libnettle.6.dylib
       0x1117bf000 -        0x1117e8ffb +libhogweed.4.dylib (0)
<E0C32E51-C7D4-3C15-A269-272AD3BC3BBE>
/usr/local/opt/nettle/lib/libhogweed.4.dylib
       0x111e1e000 -        0x111e8870f  dyld (655.1.1)
<B3D9DDCB-5AA7-3674-9608-16B5AA4AA494> /usr/lib/dyld
       0x118a07000 -        0x118a09ff3
com.apple.CloudDocsFileProvider (1.0 - 575.302)
<B5A80F89-1654-3B7D-B436-B89656BFCAE0>
/System/Library/PrivateFrameworks/FileProvider.framework/OverrideBundles/CloudDocsFileProvider.bundle/Contents/MacOS/CloudDocsFileProvider
       0x118a26000 -        0x118b8bff3 +libegit2.so (0)
<98C9D5AD-AE4B-3693-B808-CA31F15E7B96> /Users/USER/*/libegit2.so
       0x118c3e000 -        0x118c44ff7 +libhttp_parser.2.9.dylib (0)
<4195B62B-27C5-3740-8A5A-6DD5018B032E>
/usr/local/opt/http-parser/lib/libhttp_parser.2.9.dylib
       0x119361000 -        0x119364ffb
com.apple.FileProviderOverride (125.130 - 125.130)
<72F01008-B40B-3CF7-845D-A0C022CD8E11>
/System/Library/PrivateFrameworks/FileProvider.framework/OverrideBundles/FileProviderOverride.bundle/Contents/MacOS/FileProviderOverride
       0x119465000 -        0x11946bfff
com.apple.FinderSyncCollaborationFileProviderOverride (1.0 - 1143.5.1)
<FE6C0E1A-7FFF-3DA7-B931-676D7951A336>
/System/Library/PrivateFrameworks/FileProvider.framework/OverrideBundles/FinderSyncCollaborationFileProviderOverride.bundle/Contents/MacOS/FinderSyncCollaborationFileProviderOverride
       0x11aea9000 -        0x11aebeff3 +vterm-module.so (0)
<AC3F7C2A-9D6D-3978-AEFD-96645A7B015F> /Users/USER/*/vterm-module.so
    0x7fff3097c000 -     0x7fff30cd5fff  com.apple.RawCamera.bundle
(8.15.0 - 1031.4.4) <AB6E8A8F-0BFE-37EE-A135-44ABA4FCB559>
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff30cd8000 -     0x7fff30de4fff  com.apple.AMDMTLBronzeDriver
(2.11.21 - 2.1.1) <D0034ABB-2AD7-3227-B34C-5038871E4D98>
/System/Library/Extensions/AMDMTLBronzeDriver.bundle/Contents/MacOS/AMDMTLBronzeDriver
    0x7fff357be000 -     0x7fff35aeefff
com.apple.driver.AppleIntelKBLGraphicsMTLDriver (12.10.14 - 12.1.0)
<D6C6AF76-868A-3838-BFB5-AD188C3E6C2A>
/System/Library/Extensions/AppleIntelKBLGraphicsMTLDriver.bundle/Contents/MacOS/AppleIntelKBLGraphicsMTLDriver
    0x7fff385fb000 -     0x7fff385fbfff  com.apple.Accelerate (1.11 -
Accelerate 1.11) <762942CB-CFC9-3A0C-9645-A56523A06426>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff385fc000 -     0x7fff38612ff7  libCGInterfaces.dylib
(506.22) <1B6C92D9-F4B8-37BA-9635-94C4A56098CE>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff38613000 -     0x7fff38cacfef  com.apple.vImage (8.1 - ???)
<53FA3611-894E-3158-A654-FBD2F70998FE>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff38cad000 -     0x7fff38f26ff3  libBLAS.dylib (1243.200.4)
<417CA0FC-B6CB-3FB3-ACBC-8914E3F62D20>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff38f27000 -     0x7fff38f99ffb  libBNNS.dylib (38.250.1)
<538D12A2-9B9D-3E22-9896-F90F6E69C06E>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff38f9a000 -     0x7fff39343ff3  libLAPACK.dylib (1243.200.4)
<92175DF4-863A-3780-909A-A3E5C410F2E9>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff39344000 -     0x7fff39359feb  libLinearAlgebra.dylib
(1243.200.4) <CB671EE6-DEA1-391C-9B2B-AA09A46B4D7A>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff3935a000 -     0x7fff3935fff3  libQuadrature.dylib (3.200.2)
<1BAE7E22-2862-379F-B334-A3756067730F>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff39360000 -     0x7fff393dcff3  libSparse.dylib (79.200.5)
<E78B33D3-672A-3C53-B512-D3DDB2E9AC8D>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff393dd000 -     0x7fff393f0fe3  libSparseBLAS.dylib
(1243.200.4) <E9243341-DB77-37C1-97C5-3DFA00DD70FA>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff393f1000 -     0x7fff395d8ff7  libvDSP.dylib (671.250.4)
<7B110627-A9C1-3FB7-A077-0C7741BA25D8>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff395d9000 -     0x7fff3968cff7  libvMisc.dylib (671.250.4)
<D5BA4812-BFFC-3CD0-B382-905CD8555DA6>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff3968d000 -     0x7fff3968dfff  com.apple.Accelerate.vecLib
(3.11 - vecLib 3.11) <74288115-EF61-30B6-843F-0593B31D4929>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff3982f000 -     0x7fff3a5e4ffb  com.apple.AppKit (6.9 -
1671.60.109) <E23B2968-32EA-340D-9E5E-12F5370DC55D>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff3a636000 -     0x7fff3a636fff  com.apple.ApplicationServices
(50.1 - 50.1) <C0CD7DC1-A4B7-3F37-BFCA-85B6EFD0352D>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff3a637000 -     0x7fff3a6a2fff
com.apple.ApplicationServices.ATS (377 - 453.11.2.2)
<A258DA73-114B-3102-A056-4AAAD3CEB9DD>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff3a73b000 -     0x7fff3a852fff  libFontParser.dylib
(228.6.2.3) <3602D55B-3B9E-3B3A-A814-08C1244A8AE4>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff3a853000 -     0x7fff3a895fff  libFontRegistry.dylib
(228.12.2.4) <55766758-62F7-3244-BB21-1AD7509DC16D>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff3a8ef000 -     0x7fff3a921fff  libTrueTypeScaler.dylib
(228.6.2.3) <7E4C5D9C-51AF-3EC1-8FA5-11CD4BEE477A>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff3a986000 -     0x7fff3a98aff3  com.apple.ColorSyncLegacy
(4.13.0 - 1) <E002E5AF-53B5-34F7-9C50-D8549137DF9D>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
    0x7fff3aa25000 -     0x7fff3aa77ff7  com.apple.HIServices (1.22 -
628) <2BE461FF-80B9-30D3-A574-AED5724B1C1B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff3aa78000 -     0x7fff3aa87fff  com.apple.LangAnalysis (1.7.0
- 1.7.0) <F5617A2A-FEA6-3832-B5BA-C2111B98786F>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff3aa88000 -     0x7fff3aad1ff7
com.apple.print.framework.PrintCore (14.2 - 503.8)
<57C2FE32-0E74-3079-B626-C2D52F2D2717>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff3aad2000 -     0x7fff3ab0bff7  com.apple.QD (3.12 - 407.2)
<28C7D39F-59C9-3314-BECC-67045487229C>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff3ab0c000 -     0x7fff3ab18fff
com.apple.speech.synthesis.framework (8.1.3 - 8.1.3)
<5E7B9BD4-122B-3012-A044-3259C97E7509>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff3ab19000 -     0x7fff3ad90fff
com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14)
<571A3B68-AB1D-3050-932A-999EA148963C>
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff3ad92000 -     0x7fff3ad92fff
com.apple.audio.units.AudioUnit (1.14 - 1.14)
<3D6E8961-8C34-3042-A588-21458C7D1C02>
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff3b0eb000 -     0x7fff3b48dfff  com.apple.CFNetwork (978.2 -
978.2) <2EA7281A-CE9F-339C-84D0-BC00D4421EF0>
/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff3b4a2000 -     0x7fff3b4a2fff  com.apple.Carbon (158 - 158)
<2BA5A7E5-4C93-35BC-96B6-5A5A24F8D602>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff3b4a3000 -     0x7fff3b4a6ffb  com.apple.CommonPanels (1.2.6
- 98) <1CD6D56D-8EC7-3528-8CBC-FC69533519B5>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff3b4a7000 -     0x7fff3b79efff  com.apple.HIToolbox (2.1.1 -
918.7) <13F69D4C-D19F-3E09-9231-1978D783A556>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff3b79f000 -     0x7fff3b7a2ff3  com.apple.help (1.3.8 - 66)
<A08517EB-8958-36C9-AEE0-1A8FEEACBE3F>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff3b7a3000 -     0x7fff3b7a8ff7  com.apple.ImageCapture (9.0 -
1534.2) <DB063E87-ED8F-3E4E-A7E2-A6B45FA73EF7>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff3b7a9000 -     0x7fff3b83eff3  com.apple.ink.framework (10.9
- 225) <7C7E9483-2E91-3DD3-B1E0-C238F42CA0DD>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff3b83f000 -     0x7fff3b857ff7  com.apple.openscripting (1.7
- 179.1) <9B8C1ECC-5864-3E21-9149-863E884EA25C>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff3b877000 -     0x7fff3b878ff7
com.apple.print.framework.Print (14.2 - 267.4)
<A7A9D2A0-D4E0-35EF-A0F7-50521F707C33>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff3b879000 -     0x7fff3b87bff7  com.apple.securityhi (9.0 -
55006) <05717F77-7A7B-37E6-AB3E-03F063E9095B>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff3b87c000 -     0x7fff3b882ff7
com.apple.speech.recognition.framework (6.0.3 - 6.0.3)
<3CC050FB-EBCB-3087-8EA5-F378C8F99217>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff3b883000 -     0x7fff3b9a3fff  com.apple.cloudkit.CloudKit
(736.232 - 736.232) <F643F4D4-7F23-32C3-84E1-7981BD45F64C>
/System/Library/Frameworks/CloudKit.framework/Versions/A/CloudKit
    0x7fff3b9b2000 -     0x7fff3bb01ff7  com.apple.ColorSync (4.13.0 -
3345.6) <5EA8FB36-ABAF-3B87-8C8D-AA16C98CD18C>
/System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff3bc8d000 -     0x7fff3bd13fff  com.apple.audio.CoreAudio
(4.3.0 - 4.3.0) <1E8E64E6-0E58-375A-97F7-07CB4EE181AC>
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff3bd77000 -     0x7fff3bda1ffb  com.apple.CoreBluetooth (1.0
- 1) <A73F1709-DD18-3052-9F22-C0015278834B>
/System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff3bda2000 -     0x7fff3c127fef  com.apple.CoreData (120 -
866.6) <132CB39B-8D58-30FA-B8AD-49BFFF34B293>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff3c128000 -     0x7fff3c218ff7  com.apple.CoreDisplay (101.3
- 110.18) <E5A1760B-0165-385C-8616-E35DB10494DD>
/System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff3c219000 -     0x7fff3c65efef  com.apple.CoreFoundation (6.9
- 1575.23) <596DBC2A-60E3-3A73-AA5F-7A1806CF3204>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff3c660000 -     0x7fff3ccf0fe7  com.apple.CoreGraphics (2.0 -
1265.10) <06B191F9-039C-3C54-A4C6-2FB0C5C3105F>
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff3ccf2000 -     0x7fff3d012fff  com.apple.CoreImage (14.4.0 -
750.0.140) <11026E39-D2FF-3CF6-8ACE-7BA293F9853E>
/System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff3d013000 -     0x7fff3d08bfff  com.apple.corelocation
(2245.16.14) <0F59F59B-AC14-3116-83C5-CF7BC57D9EB1>
/System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fff3d30f000 -     0x7fff3d413fff  com.apple.CoreMedia (1.0 -
2290.14) <1924E3F0-5171-35D9-BCF9-DE56412E04D3>
/System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff3d470000 -     0x7fff3d470fff  com.apple.CoreServices (946 -
946) <3DAD67E1-7D8E-3FB6-8FF4-9C2B73789990>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff3d471000 -     0x7fff3d4edff7  com.apple.AE (773 - 773)
<55AE7C9E-27C3-30E9-A047-3B92A6FD53B4>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff3d4ee000 -     0x7fff3d7c5fff
com.apple.CoreServices.CarbonCore (1178.33 - 1178.33)
<CB87F0C7-2CD6-3983-8E32-B6A2EC925352>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff3d7c6000 -     0x7fff3d80eff7  com.apple.DictionaryServices
(1.2 - 284.16.4) <746EB200-DC51-30AE-9CBC-608A7B4CC8DA>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff3d80f000 -     0x7fff3d817ffb
com.apple.CoreServices.FSEvents (1239.200.13 - 1239.200.13)
<28BF3EC6-9985-3402-AEA9-0FF6EE1C200E>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff3d818000 -     0x7fff3d9c9ff7  com.apple.LaunchServices (946
- 946) <A0C91634-9410-38E8-BC11-7A5A369E6BA5>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff3d9ca000 -     0x7fff3da68ff7  com.apple.Metadata (10.7.0 -
1191.57) <BFFAED00-2560-318A-BB8F-4E7E5123EC61>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff3da69000 -     0x7fff3dab3ff7
com.apple.CoreServices.OSServices (946 - 946)
<20C4EEF8-D5AC-39A0-9B4A-78F88E3EFBCC>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff3dab4000 -     0x7fff3db1bff7  com.apple.SearchKit (1.4.0 -
1.4.0) <DA08AA6F-A6F1-36C0-87F4-E26294E51A3A>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff3db1c000 -     0x7fff3db3dff3
com.apple.coreservices.SharedFileList (71.28 - 71.28)
<487A8464-729E-305A-B5D1-E3FE8EB9CFC5>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff3de48000 -     0x7fff3dfaaff3  com.apple.CoreText (352.0 -
584.26.3.2) <59919B0C-CBD5-3877-8D6F-D6048F1E5F42>
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff3dfab000 -     0x7fff3dfebff3  com.apple.CoreVideo (1.8 -
281.4) <10CF8E52-07E3-382B-8091-2CEEEFFA69B4>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff3dfec000 -     0x7fff3e07bfff  com.apple.framework.CoreWLAN
(13.0 - 1375.2) <BF4B29F7-FBC8-3299-98E8-C3F8C04B7C92>
/System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff3e2d2000 -     0x7fff3e2d7ffb  com.apple.DiskArbitration
(2.7 - 2.7) <F481F2C0-884E-3265-8111-ABBEC93F0920>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff3e49d000 -     0x7fff3e84affb  com.apple.Foundation (6.9 -
1575.23) <C5EA5ABE-2E0C-37A0-A02A-F3150FE3CC66>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff3e8b9000 -     0x7fff3e8e8ffb  com.apple.GSS (4.0 - 2.0)
<E2B90D08-3857-3155-9FCC-07D778988EC9>
/System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff3e9e8000 -     0x7fff3eaf2fff  com.apple.Bluetooth (6.0.14 -
6.0.14d3) <5BD27DF2-4C53-3E82-9B7E-7B884E05DAA7>
/System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff3eb55000 -     0x7fff3ebe4fff  com.apple.framework.IOKit
(2.0.2 - 1483.260.4) <8A90F547-86EF-3DFB-92FE-0E2C0376DD84>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff3ebe6000 -     0x7fff3ebf5ffb  com.apple.IOSurface (255.6.1
- 255.6.1) <85F85EBB-EA59-3A8B-B3EB-7C20F3CC77AE>
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff3ec49000 -     0x7fff3edd5fe7  com.apple.ImageIO.framework
(3.3.0 - 1850.2.1) <317B01F5-A044-3C09-B032-BEF219FAEEF3>
/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff3edd6000 -     0x7fff3eddaffb  libGIF.dylib (1850.2.1)
<C26EB547-7C5A-3011-A2D0-92AE8DEB9C74>
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff3eddb000 -     0x7fff3eeb7fe7  libJP2.dylib (1850.2.1)
<7A75C75B-4B52-356C-A082-7D94933950C3>
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff3eeb8000 -     0x7fff3eeddfeb  libJPEG.dylib (1850.2.1)
<20FA330B-AA9A-3E24-B539-B10C6929C3E8>
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff3f1a0000 -     0x7fff3f1c6feb  libPng.dylib (1850.2.1)
<29E951EB-412C-3ECA-B487-3533C14A7879>
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff3f1c7000 -     0x7fff3f1c9ffb  libRadiance.dylib (1850.2.1)
<11000AB8-EF81-3728-AA18-B507AC885609>
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff3f1ca000 -     0x7fff3f217feb  libTIFF.dylib (1850.2.1)
<84004B05-9D15-33B8-B164-DC8A993BDC7C>
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff4038a000 -     0x7fff403a3fff  com.apple.Kerberos (3.0 - 1)
<DB1E0679-37E1-3B93-9789-32F63D660C3B>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff4065d000 -     0x7fff40667fff  com.apple.MediaAccessibility
(1.0 - 114.4) <76C449C5-DB45-3D7F-BFAD-3DACEF15DA21>
/System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility
    0x7fff40717000 -     0x7fff40dbdfff  com.apple.MediaToolbox (1.0 -
2290.14) <8FC62A33-0487-341B-AE1B-371797E6B1DF>
/System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff40dbf000 -     0x7fff40e67ff7  com.apple.Metal (162.2 -
162.2) <2723BB21-C91E-3942-9FE0-6DC544A1EBBC>
/System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff40e83000 -     0x7fff40ea2ff7
com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1)
<44CE8362-E972-3697-AD6F-15BC863BAEB8>
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
    0x7fff40ea3000 -     0x7fff40f1ffe7
com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1)
<EE8440DA-66DF-3923-ABBC-E0543211C069>
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
    0x7fff40f20000 -     0x7fff40f47fff
com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1)
<E64450DF-2B96-331E-B7F4-666E00571C70>
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
    0x7fff40f48000 -     0x7fff41073ff7
com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1)
<F2CF26B6-73F1-3644-8FE9-CDB9B2C4501F>
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
    0x7fff41074000 -     0x7fff4108efff
com.apple.MetalPerformanceShaders.MPSRayIntersector (1.0 - 1)
<B33A35C3-0393-366B-ACFB-F4BB6A5F7B4A>
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSRayIntersector.framework/Versions/A/MPSRayIntersector
    0x7fff4108f000 -     0x7fff41090ff7
com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1)
<69F14BCF-C5C5-3BF8-9C31-8F87D2D6130A>
/System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff41e87000 -     0x7fff41e93ff7  com.apple.NetFS (6.0 - 4.0)
<E917806F-0607-3292-B2D6-A15404D61B99>
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff44931000 -     0x7fff44988ff7  com.apple.opencl (2.15.3 -
2.15.3) <0EF7FE53-2742-36E3-851B-D3CCE5DA5425>
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff44989000 -     0x7fff449a4ff7  com.apple.CFOpenDirectory
(10.14 - 207.200.4) <F03D84EB-49B2-3A00-9127-B9A269824026>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff449a5000 -     0x7fff449b0ffb  com.apple.OpenDirectory
(10.14 - 207.200.4) <A8020CEE-5B78-3581-A735-EA2833683F31>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff45300000 -     0x7fff45302fff  libCVMSPluginSupport.dylib
(17.7.3) <EB08E268-00F3-3FF0-B9CA-8B0201F32406>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff45303000 -     0x7fff45308ff3  libCoreFSCache.dylib (166.2)
<222C2A4F-7E32-30F6-8459-2FAB98073A3D>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff45309000 -     0x7fff4530dfff  libCoreVMClient.dylib (166.2)
<6789ECD4-91DD-32EF-A1FD-F27D2344CD8B>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff4530e000 -     0x7fff45316ff7  libGFXShared.dylib (17.7.3)
<6D163925-3F78-32E2-A5EB-84DE64E411FB>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff45317000 -     0x7fff45322fff  libGL.dylib (17.7.3)
<CFBC66FB-B0CC-3271-A805-62CDA2151E97>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff45323000 -     0x7fff4535dfef  libGLImage.dylib (17.7.3)
<19EF9F90-8B5A-3B1D-B931-A8C5D1ABBD94>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff454d1000 -     0x7fff4550ffff  libGLU.dylib (17.7.3)
<82771229-CE56-3701-8FD0-812858CE0B31>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff45eac000 -     0x7fff45ebbffb  com.apple.opengl (17.7.3 -
17.7.3) <C7F2455B-3F68-3857-8D28-3502E2DC7E99>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff46cc5000 -     0x7fff46f1cff7  com.apple.QuartzCore (1.11 -
701.14) <6ECC685C-A92E-3D49-A044-8FF20991F740>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff47752000 -     0x7fff47a52ff7  com.apple.security (7.0 -
58286.270.6) <9C5ED4E4-12FB-3252-B645-E1C7EAE2896C>
/System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff47a53000 -     0x7fff47adffff  com.apple.securityfoundation
(6.0 - 55185.260.1) <F4AE7078-E812-3B6E-916C-154DF7429DD9>
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff47b11000 -     0x7fff47b15fff
com.apple.xpc.ServiceManagement (1.0 - 1)
<FCF7BABA-DDDD-3770-8DAC-7069850203C2>
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff47eae000 -     0x7fff47f1bfff  com.apple.SystemConfiguration
(1.17 - 1.17) <30C8327F-3EFF-3520-9C50-016F8B6B954F>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff4817a000 -     0x7fff484dbfff  com.apple.VideoToolbox (1.0 -
2290.14) <BF60CF7D-F9CA-356F-A8B9-8FE75D26FDF4>
/System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff4b157000 -     0x7fff4b1fcfff  com.apple.APFS (1.0 - 1)
<7ACEA6C5-EA9B-3BE4-B235-A7ADD9B76278>
/System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff4bc11000 -     0x7fff4bc12ff7  com.apple.AggregateDictionary
(1.0 - 1) <A6AF8AC4-1F25-37C4-9157-A02E9C200926>
/System/Library/PrivateFrameworks/AggregateDictionary.framework/Versions/A/AggregateDictionary
    0x7fff4c213000 -     0x7fff4c23fff7
com.apple.framework.Apple80211 (13.0 - 1380.2)
<16F093EF-370B-3B90-8DB4-E94624431D15>
/System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff4c367000 -     0x7fff4c376fc7  com.apple.AppleFSCompression
(96.200.3 - 1.0) <3CF60CE8-976E-3CB8-959D-DD0948C1C2DE>
/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff4c472000 -     0x7fff4c47dfff  com.apple.AppleIDAuthSupport
(1.0 - 1) <2E9D1398-DBE6-328B-ADDA-20FA5FAD7405>
/System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport
    0x7fff4c4be000 -     0x7fff4c507ff3  com.apple.AppleJPEG (1.0 - 1)
<4C1F426B-7D77-3980-9633-7DBD8C666B9A>
/System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff4c75b000 -     0x7fff4c77dfff  com.apple.applesauce (1.0 -
???) <F49107C7-3C51-3024-8EF1-C57643BE4F3B>
/System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
    0x7fff4c841000 -     0x7fff4c891ff7  com.apple.AppleVAFramework
(5.1.4 - 5.1.4) <251A7F5B-F6F9-33E4-9016-BA730B9511E1>
/System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff4c8dc000 -     0x7fff4c8f0ffb  com.apple.AssertionServices
(1.0 - 1) <456E507A-4561-3628-9FBE-173ACE7429D8>
/System/Library/PrivateFrameworks/AssertionServices.framework/Versions/A/AssertionServices
    0x7fff4ccbf000 -     0x7fff4cdabff7  com.apple.AuthKit (1.0 - 1)
<2765ABE9-54F2-3E45-8A93-1261E251B90D>
/System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit
    0x7fff4cf6d000 -     0x7fff4cf75fff
com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1)
<2A396FC0-7B79-3088-9A82-FB93C1181A57>
/System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fff4cf76000 -     0x7fff4d00bfff  com.apple.backup.framework
(1.10.5 - ???) <4EEC51E2-AE4C-340A-B686-901810152C12>
/System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff4d00c000 -     0x7fff4d079ff3  com.apple.BaseBoard (360.28 -
360.28) <68FA8044-F3CD-3BC6-9DAB-27DACF52BFC0>
/System/Library/PrivateFrameworks/BaseBoard.framework/Versions/A/BaseBoard
    0x7fff4ded7000 -     0x7fff4df26ff7  com.apple.ChunkingLibrary
(201 - 201) <DFE16C42-24E6-386F-AC50-0058F61980A2>
/System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff4e040000 -     0x7fff4e0c5ff7  com.apple.CloudDocs (1.0 -
575.302) <524BC6E6-9AF7-3DBE-8FC5-BD35B7A94B55>
/System/Library/PrivateFrameworks/CloudDocs.framework/Versions/A/CloudDocs
    0x7fff4ece4000 -     0x7fff4ecedffb  com.apple.CommonAuth (4.0 -
2.0) <93335CB6-ABEB-3EC7-A040-8A667F40D5F3>
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff4f186000 -     0x7fff4f569fef  com.apple.CoreAUC (274.0.0 -
274.0.0) <C71F1581-E73B-3DA0-958B-E912C3FB3F23>
/System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff4f56a000 -     0x7fff4f598ff7  com.apple.CoreAVCHD (6.0.0 -
6000.4.1) <A04A99B8-DAC5-36FC-BAC7-7431600C1F89>
/System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff4f5b8000 -     0x7fff4f5d6fff
com.apple.CoreAnalytics.CoreAnalytics (1.0 - 1)
<5AFC8A18-30CA-3D29-A509-DF21AC4DB921>
/System/Library/PrivateFrameworks/CoreAnalytics.framework/Versions/A/CoreAnalytics
    0x7fff4f9c6000 -     0x7fff4f9d7ff7  com.apple.CoreEmoji (1.0 -
69.19.9) <228457B3-E191-356E-9A5B-3C0438D05FBA>
/System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff4ff81000 -     0x7fff4ffe7ff7  com.apple.CoreNLP (1.0 -
130.15.22) <27877820-17D0-3B02-8557-4014E876CCC7>
/System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
    0x7fff50294000 -     0x7fff5029cff7  com.apple.CorePhoneNumbers
(1.0 - 1) <11F97C7E-C183-305F-8E6C-9B374F50E26B>
/System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers
    0x7fff50418000 -     0x7fff50449ff3
com.apple.CoreServicesInternal (358 - 358)
<DD6EF60D-048F-3186-83DA-EB191EDF48AE>
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff50810000 -     0x7fff50894fff  com.apple.CoreSymbolication
(10.2 - 64490.25.1) <28B2FF2D-3FDE-3A20-B343-341E5BD4E22F>
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff50924000 -     0x7fff50a4fff7  com.apple.coreui (2.1 -
499.10) <A80F4B09-F940-346F-A9DF-4EFADD9220A8>
/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff50a50000 -     0x7fff50bf0fff  com.apple.CoreUtils (5.9 -
590.16) <66CC50F7-766D-33E2-A388-4DE22840ADFB>
/System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
    0x7fff50c44000 -     0x7fff50ca7ff7  com.apple.framework.CoreWiFi
(13.0 - 1375.2) <CA4B835A-27AC-3FAB-9F44-E48548EA2442>
/System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff50ca8000 -     0x7fff50cb9ff3
com.apple.CrashReporterSupport (10.13 - 938.27)
<4771B1CE-1B49-312F-9550-A3391C64214C>
/System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff50d49000 -     0x7fff50d58fff
com.apple.framework.DFRFoundation (1.0 - 211.1)
<E3F02F2A-2059-39CC-85DA-969676EB88EB>
/System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
    0x7fff50d59000 -     0x7fff50d5dff7  com.apple.DSExternalDisplay
(3.1 - 380) <787B9748-B120-3453-B8FE-61D9E363A9E0>
/System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fff50dde000 -     0x7fff50e53ffb  com.apple.datadetectorscore
(7.0 - 590.27) <06FB1A07-7AE6-3ADD-8E7E-41955FAB38E8>
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff50e9f000 -     0x7fff50edcff7  com.apple.DebugSymbols (190 -
190) <6F4FAACA-E06B-38AD-A0C2-14EA5408A231>
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff50edd000 -     0x7fff51018ff7  com.apple.desktopservices
(1.13.5 - ???) <265C0E94-B8BF-3F58-8D68-EA001EEA0B15>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff51f5f000 -     0x7fff5237afff  com.apple.vision.FaceCore
(3.3.4 - 3.3.4) <A576E2DA-BF6F-3B18-8FEB-324E5C5FA9BD>
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff523ab000 -     0x7fff52430ff7  com.apple.FileProvider
(125.130 - 125.130) <D95A997E-33E6-3427-9A4B-B16756ACBA0B>
/System/Library/PrivateFrameworks/FileProvider.framework/Versions/A/FileProvider
    0x7fff55c2e000 -     0x7fff55c2ffff  libmetal_timestamp.dylib
(902.3.2) <05389463-AF2E-33E2-A14F-1416E4A30835>
/System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3902/Libraries/libmetal_timestamp.dylib
    0x7fff572cf000 -     0x7fff572d4fff  com.apple.GPUWrangler
(3.50.14 - 3.50.14) <6A317E65-B368-3D00-8AB4-11499320DCBF>
/System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
    0x7fff57662000 -     0x7fff57686ff3  com.apple.GenerationalStorage
(2.0 - 285.101) <84C2E52C-F2C6-3FF8-87E5-3C88A40D3881>
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff5769f000 -     0x7fff5809efff  com.apple.GeoServices (1.0 -
1364.26.4.19.6) <041715B5-D82F-31F6-9133-955A7A66025F>
/System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServices
    0x7fff580e0000 -     0x7fff580effff  com.apple.GraphVisualizer
(1.0 - 5) <48D020B7-5938-3FAE-B468-E291AEE2C06F>
/System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
    0x7fff58255000 -     0x7fff582c9ffb  com.apple.Heimdal (4.0 - 2.0)
<D97FCF19-EAD6-3E2F-BE88-F817E45CAE96>
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff595c4000 -     0x7fff595cdfff  com.apple.IOAccelMemoryInfo
(1.0 - 1) <2A402859-9C55-339F-BDD1-7BFBA29B9FD8>
/System/Library/PrivateFrameworks/IOAccelMemoryInfo.framework/Versions/A/IOAccelMemoryInfo
    0x7fff595ce000 -     0x7fff595d5ffb  com.apple.IOAccelerator
(404.14 - 404.14) <9EB08279-122E-317F-8AFF-02A147DA4E78>
/System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff595d9000 -     0x7fff595f1fff  com.apple.IOPresentment (1.0
- 42.6) <F626E920-11EE-30A0-B78B-77DF27494D31>
/System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fff59999000 -     0x7fff599c6ff7  com.apple.IconServices (379 -
379) <7BAD562D-4FA3-3E11-863C-1EEBE2406D2C>
/System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff59c59000 -     0x7fff59c6bff3
com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1)
<A0DC59BD-6405-3EC0-8D86-B3D89B91C512>
/System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle
    0x7fff59c86000 -     0x7fff59d61ff7  com.apple.LanguageModeling
(1.0 - 159.15.15) <3DE3CE61-542B-37B7-883E-4B9717CAC65F>
/System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff59d62000 -     0x7fff59d9eff7  com.apple.Lexicon-framework
(1.0 - 33.15.10) <4B5E843E-2809-3E70-9560-9254E2656419>
/System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff59da5000 -     0x7fff59daafff  com.apple.LinguisticData (1.0
- 238.25) <F529B961-098C-3E4C-A3E9-9DA9BFA1B3F0>
/System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
    0x7fff5a5c8000 -     0x7fff5a5cbfff  com.apple.Mangrove (1.0 - 25)
<537A5B2E-4C30-3CFD-8BDC-79F9A04AC327>
/System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
    0x7fff5aa9f000 -     0x7fff5aac7ff7
com.apple.spotlight.metadata.utilities (1.0 - 1191.57)
<38BB1FB7-3336-384C-B71F-4D0D402EB606>
/System/Library/PrivateFrameworks/MetadataUtilities.framework/Versions/A/MetadataUtilities
    0x7fff5aac8000 -     0x7fff5ab55ff7  com.apple.gpusw.MetalTools
(1.0 - 1) <035A01A8-684A-381F-96FD-CFE810699ECA>
/System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
    0x7fff5ab6c000 -     0x7fff5ab85ffb  com.apple.MobileAssets (1.0 -
437.250.3) <8BE5B3A0-8F3A-3FAE-9AFF-32836300183C>
/System/Library/PrivateFrameworks/MobileAsset.framework/Versions/A/MobileAsset
    0x7fff5ad00000 -     0x7fff5ad1bffb  com.apple.MobileKeyBag (2.0 -
1.0) <C7C5DD21-66DE-31D1-92D9-BBEEAAE156FB>
/System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
    0x7fff5ada4000 -     0x7fff5adceffb
com.apple.MultitouchSupport.framework (2450.1 - 2450.1)
<42A23EC9-64A7-31C7-BF33-DF4412ED8A3F>
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff5b00a000 -     0x7fff5b014fff  com.apple.NetAuth (6.2 - 6.2)
<0D01BBE5-0269-310D-B148-D19DAE143DEB>
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff5b875000 -     0x7fff5b8c6ff3  com.apple.OTSVG (1.0 - ???)
<5BF1A9EB-2694-3267-9514-A4EB3BEF4081>
/System/Library/PrivateFrameworks/OTSVG.framework/Versions/A/OTSVG
    0x7fff5ca5e000 -     0x7fff5ca6dff7  com.apple.PerformanceAnalysis
(1.218.2 - 218.2) <65F3DB3E-6D4E-33A0-B510-EF768D323DAB>
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff5e450000 -     0x7fff5e473ffb  com.apple.pluginkit.framework
(1.0 - 1) <5E063876-2FB8-3520-A318-D658AE7DAD5F>
/System/Library/PrivateFrameworks/PlugInKit.framework/Versions/A/PlugInKit
    0x7fff5e49e000 -     0x7fff5e4afffb  com.apple.PowerLog (1.0 - 1)
<D4B915DB-9E73-3ED1-A917-AB3F476D14ED>
/System/Library/PrivateFrameworks/PowerLog.framework/Versions/A/PowerLog
    0x7fff5e8aa000 -     0x7fff5e8feffb
com.apple.ProtectedCloudStorage (1.0 - 1)
<53B3C1F3-BB97-379F-8CBA-8FDCDF085793>
/System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
    0x7fff5e8ff000 -     0x7fff5e91dff7  com.apple.ProtocolBuffer (1 -
263.2) <907D6C95-D050-31DE-99CA-16A5135BC6F9>
/System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff5eab5000 -     0x7fff5eb05fff  com.apple.ROCKit (27.6 -
27.6) <756C2253-E8B1-3C48-9945-DE8D6AD24DE2>
/System/Library/PrivateFrameworks/ROCKit.framework/Versions/A/ROCKit
    0x7fff5ec5f000 -     0x7fff5ec81fff  com.apple.RemoteViewServices
(2.0 - 128) <8FB0E4EB-DCBB-32E6-94C6-AA9BA9EE4CAC>
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff6048b000 -     0x7fff605a9fff  com.apple.Sharing (1288.62.2
- 1288.62.2) <5915173A-BAFB-3092-98C6-ED4871284FCA>
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff613bd000 -     0x7fff6166cfff  com.apple.SkyLight (1.600.0 -
340.54) <964A10FB-A11A-3745-99DF-02712D1D69C2>
/System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff61e0f000 -     0x7fff61e1bfff
com.apple.SpeechRecognitionCore (5.0.21 - 5.0.21)
<7A6A67DB-C813-328E-AAFB-D267A5B50B3D>
/System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff61ecd000 -     0x7fff62130ff3  com.apple.spotlight.index
(10.7.0 - 1191.57) <04DE70D5-D9C4-3886-A3DB-6E32040D69E3>
/System/Library/PrivateFrameworks/SpotlightIndex.framework/Versions/A/SpotlightIndex
    0x7fff624ba000 -     0x7fff624f6ff3  com.apple.StreamingZip (1.0 -
1) <046FAD5C-E0C5-3013-B1FE-24C018A0DDCF>
/System/Library/PrivateFrameworks/StreamingZip.framework/Versions/A/StreamingZip
    0x7fff6256c000 -     0x7fff625f7fc7  com.apple.Symbolication (10.2
- 64490.38.1) <9FDCC98D-5B32-35AD-A9BF-94DF2B78507F>
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff625f8000 -     0x7fff62600ffb
com.apple.SymptomDiagnosticReporter (1.0 - 820.267.1)
<DB68EC08-EC2D-35DC-8D34-B4A2C36A9DE9>
/System/Library/PrivateFrameworks/SymptomDiagnosticReporter.framework/Versions/A/SymptomDiagnosticReporter
    0x7fff62adf000 -     0x7fff62aebffb  com.apple.TCC (1.0 - 1)
<73CF6FA9-44CE-30C9-887F-235940976585>
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff62d51000 -     0x7fff62e19ff3  com.apple.TextureIO (3.8.4 -
3.8.1) <7CEAC05A-D283-3D5A-B1E3-C849285FA0BF>
/System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fff62ed6000 -     0x7fff6308effb  com.apple.UIFoundation (1.0 -
551.5) <254E42F9-ECAE-3F3C-9643-FF306CAFDA66>
/System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff63d0a000 -     0x7fff63de3fff  com.apple.ViewBridge (401.1 -
401.1) <18144EC1-5DEF-369C-8EBA-2826E7142784>
/System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
    0x7fff645bb000 -     0x7fff645befff
com.apple.dt.XCTTargetBootstrap (1.0 - 14490.66)
<7AE3457F-AF40-3508-93FB-1D9E31EB1C9D>
/System/Library/PrivateFrameworks/XCTTargetBootstrap.framework/Versions/A/XCTTargetBootstrap
    0x7fff649bf000 -     0x7fff649c1ffb  com.apple.loginsupport (1.0 -
1) <3F8D6334-BCD6-36C1-BA20-CC8503A84375>
/System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff649c2000 -     0x7fff649d7fff  com.apple.login (3.0 - 3.0)
<E168F05D-A5DF-3848-8686-DF5015EA4BA4>
/System/Library/PrivateFrameworks/login.framework/Versions/A/login
    0x7fff64c8b000 -     0x7fff64cbffff  libCRFSuite.dylib (41.15.4)
<406DAC06-0C77-3F90-878B-4D38F11F0256> /usr/lib/libCRFSuite.dylib
    0x7fff64cc2000 -     0x7fff64cccff7  libChineseTokenizer.dylib
(28.15.3) <9B7F6109-3A5D-3641-9A7E-31D2239D73EE>
/usr/lib/libChineseTokenizer.dylib
    0x7fff64d5a000 -     0x7fff64d5bffb
libDiagnosticMessagesClient.dylib (107)
<A14D0819-0970-34CD-8680-80E4D7FE8C2C>
/usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff64d92000 -     0x7fff64fe9ff3  libFosl_dynamic.dylib
(18.3.4) <1B5DD4E2-8AE0-315E-829E-D5BFCD264EA8>
/usr/lib/libFosl_dynamic.dylib
    0x7fff6503a000 -     0x7fff65059fff  libMobileGestalt.dylib
(645.270.1) <99A06C8A-97D6-383D-862C-F453BABB48A4>
/usr/lib/libMobileGestalt.dylib
    0x7fff6505a000 -     0x7fff6505afff  libOpenScriptingUtil.dylib
(179.1) <4D603146-EDA5-3A74-9FF8-4F75D8BB9BC6>
/usr/lib/libOpenScriptingUtil.dylib
    0x7fff6519a000 -     0x7fff6519bffb  libSystem.B.dylib
(1252.250.1) <9AA73992-2087-34AF-803E-2D727104B989>
/usr/lib/libSystem.B.dylib
    0x7fff65217000 -     0x7fff65218fff  libThaiTokenizer.dylib
(2.15.1) <ADB37DC3-7D9B-3E73-A72A-BCC3433C937A>
/usr/lib/libThaiTokenizer.dylib
    0x7fff6522a000 -     0x7fff65240ffb  libapple_nghttp2.dylib
(1.24.1) <6F04250A-6686-3FDC-9A8D-290C64B06502>
/usr/lib/libapple_nghttp2.dylib
    0x7fff65241000 -     0x7fff6526affb  libarchive.2.dylib (54.250.1)
<47289946-8504-3966-9127-6CE39993DC2C> /usr/lib/libarchive.2.dylib
    0x7fff6526b000 -     0x7fff652eafff  libate.dylib (1.13.8)
<92B44EDB-369D-3EE8-AEC5-61F8B9313DBF> /usr/lib/libate.dylib
    0x7fff652ee000 -     0x7fff652eeff3  libauto.dylib (187)
<3E3780E1-96F3-3A22-91C5-92F9A5805518> /usr/lib/libauto.dylib
    0x7fff653c0000 -     0x7fff653d0ffb  libbsm.0.dylib (39.200.18)
<CF381E0B-025B-364F-A83D-2527E03F1AA3> /usr/lib/libbsm.0.dylib
    0x7fff653d1000 -     0x7fff653defff  libbz2.1.0.dylib (38.200.3)
<272953A1-8D36-329B-BDDB-E887B347710F> /usr/lib/libbz2.1.0.dylib
    0x7fff653df000 -     0x7fff65432ff7  libc++.1.dylib (400.9.4)
<9A60A190-6C34-339F-BB3D-AACE942009A4> /usr/lib/libc++.1.dylib
    0x7fff65433000 -     0x7fff65448ff7  libc++abi.dylib (400.17)
<38C09CED-9090-3719-90F3-04A2749F5428> /usr/lib/libc++abi.dylib
    0x7fff65449000 -     0x7fff65449ff3  libcharset.1.dylib (51.200.6)
<2A27E064-314C-359C-93FC-8A9B06206174> /usr/lib/libcharset.1.dylib
    0x7fff6544a000 -     0x7fff6545affb  libcmph.dylib (6.15.1)
<9C52B2FE-179F-32AC-B87E-2AFC49ABF817> /usr/lib/libcmph.dylib
    0x7fff6545b000 -     0x7fff65473ffb  libcompression.dylib
(52.250.2) <7F4BB18C-1FB4-3825-8D8B-6E6B168774C6>
/usr/lib/libcompression.dylib
    0x7fff656e8000 -     0x7fff656fefff  libcoretls.dylib (155.220.1)
<4C64BE3E-41E3-3020-8BB7-07E90C0C861C> /usr/lib/libcoretls.dylib
    0x7fff656ff000 -     0x7fff65700ff3  libcoretls_cfhelpers.dylib
(155.220.1) <0959B3E9-6643-3589-8BB3-21D52CDF0EF1>
/usr/lib/libcoretls_cfhelpers.dylib
    0x7fff65bac000 -     0x7fff65c02ff3  libcups.2.dylib (462.14)
<A521C84C-75AC-3E69-A787-A0D7112C44AC> /usr/lib/libcups.2.dylib
    0x7fff65d36000 -     0x7fff65d36fff  libenergytrace.dylib
(17.200.1) <80BB567A-FD18-3497-BF97-353F57D98CDD>
/usr/lib/libenergytrace.dylib
    0x7fff65d37000 -     0x7fff65d50ffb  libexpat.1.dylib (16.1.2)
<9B20D1D9-B766-31F6-912E-EA3401FF8018> /usr/lib/libexpat.1.dylib
    0x7fff65d68000 -     0x7fff65d6dff7  libgermantok.dylib (17.15.2)
<E5F0F794-FF27-3D64-AE52-C78C6A84DD67> /usr/lib/libgermantok.dylib
    0x7fff65d6e000 -     0x7fff65d73ff7  libheimdal-asn1.dylib
(520.270.1) <73F60D6F-76F8-35EF-9C86-9A81225EE4BE>
/usr/lib/libheimdal-asn1.dylib
    0x7fff65d9e000 -     0x7fff65e8efff  libiconv.2.dylib (51.200.6)
<2047C9B7-3F74-3A95-810D-2ED8F0475A99> /usr/lib/libiconv.2.dylib
    0x7fff65e8f000 -     0x7fff660f0ffb  libicucore.A.dylib
(62141.0.1) <A0D63918-76E9-3C1B-B255-46F4C1DA7FE8>
/usr/lib/libicucore.A.dylib
    0x7fff6613d000 -     0x7fff6613efff  liblangid.dylib (128.15.1)
<22D05C4F-769B-3075-ABCF-44A0EBACE028> /usr/lib/liblangid.dylib
    0x7fff6613f000 -     0x7fff66157ff3  liblzma.5.dylib (10.200.3)
<E1F4FD60-1CE4-37B9-AD95-29D348AF1AC0> /usr/lib/liblzma.5.dylib
    0x7fff6616f000 -     0x7fff66213ff7  libmecab.1.0.0.dylib
(779.24.1) <A8D0379B-85FA-3B3D-89ED-5CF2C3826AB2>
/usr/lib/libmecab.1.0.0.dylib
    0x7fff66214000 -     0x7fff66418fff  libmecabra.dylib (779.24.1)
<D71F71E0-30E2-3DB3-B636-7DE13D51FB4B> /usr/lib/libmecabra.dylib
    0x7fff6641d000 -     0x7fff6644dfff  libncurses.5.4.dylib
(53.200.3) <767B4D3D-CF4C-33DF-B282-0CAC013A7AD0>
/usr/lib/libncurses.5.4.dylib
    0x7fff665f0000 -     0x7fff66941ff7  libnetwork.dylib
(1229.250.15) <72C7E9E3-B2BE-3300-BE1B-64606222022C>
/usr/lib/libnetwork.dylib
    0x7fff669d3000 -     0x7fff67158fdf  libobjc.A.dylib (756.2)
<7C312627-43CB-3234-9324-4DEA92D59F50> /usr/lib/libobjc.A.dylib
    0x7fff6716a000 -     0x7fff6716effb  libpam.2.dylib (22.200.1)
<586CF87F-349C-393D-AEEB-FB75F94A5EB7> /usr/lib/libpam.2.dylib
    0x7fff67171000 -     0x7fff671a6fff  libpcap.A.dylib (79.250.3)
<5B56994D-87EE-3D43-88AC-18EC9B14840F> /usr/lib/libpcap.A.dylib
    0x7fff672bf000 -     0x7fff672d7ffb  libresolv.9.dylib (65.200.3)
<6884EA23-6425-3A88-8534-2D1AB0188B2D> /usr/lib/libresolv.9.dylib
    0x7fff67328000 -     0x7fff67329ff7  libspindump.dylib (267.3)
<A584E403-8C95-3841-9C16-E22664A5A63F> /usr/lib/libspindump.dylib
    0x7fff6732a000 -     0x7fff67507fff  libsqlite3.dylib (274.26)
<6404BA3B-BCA4-301F-B2FE-8776105A2AA3> /usr/lib/libsqlite3.dylib
    0x7fff67720000 -     0x7fff67723ff7  libutil.dylib (51.200.4)
<CE9B18C9-66ED-32D4-9D29-01F8FCB467B0> /usr/lib/libutil.dylib
    0x7fff67724000 -     0x7fff67731fff  libxar.1.dylib (417.1)
<39CCF46B-C81A-34B1-92A1-58C4E5DA846E> /usr/lib/libxar.1.dylib
    0x7fff67736000 -     0x7fff67819ffb  libxml2.2.dylib (32.13)
<E210CE78-A3C1-358D-984E-236147C3EC52> /usr/lib/libxml2.2.dylib
    0x7fff6781a000 -     0x7fff67842ff3  libxslt.1.dylib (16.7)
<FA4F431A-1387-3432-BD7A-D9C512638E94> /usr/lib/libxslt.1.dylib
    0x7fff67843000 -     0x7fff67855ff7  libz.1.dylib (70.200.4)
<B048FC1F-058F-3A08-A1FE-81D5308CB3E6> /usr/lib/libz.1.dylib
    0x7fff68039000 -     0x7fff6803dff3  libcache.dylib (81)
<1987D1E1-DB11-3291-B12A-EBD55848E02D> /usr/lib/system/libcache.dylib
    0x7fff6803e000 -     0x7fff68048ff3  libcommonCrypto.dylib
(60118.250.2) <1765BB6E-6784-3653-B16B-CB839721DC9A>
/usr/lib/system/libcommonCrypto.dylib
    0x7fff68049000 -     0x7fff68050ff7  libcompiler_rt.dylib (63.4)
<5212BA7B-B7EA-37B4-AF6E-AC4F507EDFB8>
/usr/lib/system/libcompiler_rt.dylib
    0x7fff68051000 -     0x7fff6805aff7  libcopyfile.dylib (146.250.1)
<98CD00CD-9B91-3B5C-A9DB-842638050FA8>
/usr/lib/system/libcopyfile.dylib
    0x7fff6805b000 -     0x7fff680dffc3  libcorecrypto.dylib
(602.260.2) <01464D24-570C-3B83-9D18-467769E0FCDD>
/usr/lib/system/libcorecrypto.dylib
    0x7fff68166000 -     0x7fff6819fff7  libdispatch.dylib
(1008.270.1) <97273678-E94C-3C8C-89F6-2E2020F4B43B>
/usr/lib/system/libdispatch.dylib
    0x7fff681a0000 -     0x7fff681ccff7  libdyld.dylib (655.1.1)
<002418CC-AD11-3D10-865B-015591D24E6C> /usr/lib/system/libdyld.dylib
    0x7fff681cd000 -     0x7fff681cdffb  libkeymgr.dylib (30)
<0D0F9CA2-8D5A-3273-8723-59987B5827F2> /usr/lib/system/libkeymgr.dylib
    0x7fff681ce000 -     0x7fff681daff3  libkxld.dylib (4903.278.19)
<C94BD329-2576-3A7F-BAAB-D830814FCB1A> /usr/lib/system/libkxld.dylib
    0x7fff681db000 -     0x7fff681dbff7  liblaunch.dylib (1336.261.2)
<2B07E27E-D404-3E98-9D28-BCA641E5C479> /usr/lib/system/liblaunch.dylib
    0x7fff681dc000 -     0x7fff681e1fff  libmacho.dylib (927.0.3)
<A377D608-77AB-3F6E-90F0-B4F251A5C12F> /usr/lib/system/libmacho.dylib
    0x7fff681e2000 -     0x7fff681e4ff7  libquarantine.dylib
(86.270.1) <50A89DAB-7E34-3347-9AD5-68957B27EFD2>
/usr/lib/system/libquarantine.dylib
    0x7fff681e5000 -     0x7fff681e6ff7  libremovefile.dylib
(45.200.2) <9FBEB2FF-EEBE-31BC-BCFC-C71F8D0E99B6>
/usr/lib/system/libremovefile.dylib
    0x7fff681e7000 -     0x7fff681feff3  libsystem_asl.dylib
(356.200.4) <A62A7249-38B8-33FA-9875-F1852590796C>
/usr/lib/system/libsystem_asl.dylib
    0x7fff681ff000 -     0x7fff681ffff7  libsystem_blocks.dylib (73)
<A453E8EE-860D-3CED-B5DC-BE54E9DB4348>
/usr/lib/system/libsystem_blocks.dylib
    0x7fff68200000 -     0x7fff68287fff  libsystem_c.dylib
(1272.250.1) <7EDACF78-2FA3-35B8-B051-D70475A35117>
/usr/lib/system/libsystem_c.dylib
    0x7fff68288000 -     0x7fff6828bffb  libsystem_configuration.dylib
(963.270.3) <2B4A836D-68A4-33E6-8D48-CD4486B03387>
/usr/lib/system/libsystem_configuration.dylib
    0x7fff6828c000 -     0x7fff6828fff7  libsystem_coreservices.dylib
(66) <719F75A4-74C5-3BA6-A09E-0C5A3E5889D7>
/usr/lib/system/libsystem_coreservices.dylib
    0x7fff68290000 -     0x7fff68296fff  libsystem_darwin.dylib
(1272.250.1) <EC9B39A5-9592-3577-8997-7DC721D20D8C>
/usr/lib/system/libsystem_darwin.dylib
    0x7fff68297000 -     0x7fff6829dffb  libsystem_dnssd.dylib
(878.270.3) <97EEE658-D935-33C8-B56E-0F41EA7F6B43>
/usr/lib/system/libsystem_dnssd.dylib
    0x7fff6829e000 -     0x7fff682e9ffb  libsystem_info.dylib
(517.200.9) <D09D5AE0-2FDC-3A6D-93EC-729F931B1457>
/usr/lib/system/libsystem_info.dylib
    0x7fff682ea000 -     0x7fff68312ff7  libsystem_kernel.dylib
(4903.278.19) <2C2536E7-EA3B-32B5-AFC6-B1139A5046FD>
/usr/lib/system/libsystem_kernel.dylib
    0x7fff68313000 -     0x7fff6835eff7  libsystem_m.dylib
(3158.200.7) <F19B6DB7-014F-3820-831F-389CCDA06EF6>
/usr/lib/system/libsystem_m.dylib
    0x7fff6835f000 -     0x7fff68389fff  libsystem_malloc.dylib
(166.270.1) <011F3AD0-8E6A-3A89-AE64-6E5F6840F30A>
/usr/lib/system/libsystem_malloc.dylib
    0x7fff6838a000 -     0x7fff68394ff7
libsystem_networkextension.dylib (767.250.2)
<FF06F13A-AEFE-3A27-A073-910EF78AEA36>
/usr/lib/system/libsystem_networkextension.dylib
    0x7fff68395000 -     0x7fff6839cfff  libsystem_notify.dylib
(172.200.21) <145B5CFC-CF73-33CE-BD3D-E8DDE268FFDE>
/usr/lib/system/libsystem_notify.dylib
    0x7fff6839d000 -     0x7fff683a6fef  libsystem_platform.dylib
(177.270.1) <9D1FE5E4-EB7D-3B3F-A8D1-A96D9CF1348C>
/usr/lib/system/libsystem_platform.dylib
    0x7fff683a7000 -     0x7fff683b1ff7  libsystem_pthread.dylib
(330.250.2) <2D5C08FF-484F-3D59-9132-CE1DCB3F76D7>
/usr/lib/system/libsystem_pthread.dylib
    0x7fff683b2000 -     0x7fff683b5ff7  libsystem_sandbox.dylib
(851.270.1) <9494594B-5199-3186-82AB-5FF8BED6EE16>
/usr/lib/system/libsystem_sandbox.dylib
    0x7fff683b6000 -     0x7fff683b8ff3  libsystem_secinit.dylib
(30.260.2) <EF1EA47B-7B22-35E8-BD9B-F7003DCB96AE>
/usr/lib/system/libsystem_secinit.dylib
    0x7fff683b9000 -     0x7fff683c0ff3  libsystem_symptoms.dylib
(820.267.1) <03F1C2DD-0F5A-3D9D-88F6-B26C0F94EB52>
/usr/lib/system/libsystem_symptoms.dylib
    0x7fff683c1000 -     0x7fff683d6ff7  libsystem_trace.dylib
(906.260.2) <EA74D04D-5ECA-3689-9084-48E4D32C859A>
/usr/lib/system/libsystem_trace.dylib
    0x7fff683d8000 -     0x7fff683ddffb  libunwind.dylib (35.4)
<24A97A67-F017-3CFC-B0D0-6BD0224B1336> /usr/lib/system/libunwind.dylib
    0x7fff683de000 -     0x7fff6840dfff  libxpc.dylib (1336.261.2)
<7DEE2300-6D8E-3C00-9C63-E3E80D56B0C4> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 5
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 54180
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=434.4M resident=0K(0%)
swapped_out_or_unallocated=434.4M(100%)
Writable regions: Total=456.9M written=0K(0%) resident=0K(0%)
swapped_out=0K(0%) unallocated=456.9M(100%)

                                VIRTUAL   REGION
REGION TYPE                        SIZE    COUNT (non-coalesced)
===========                     =======  =======
Accelerate framework               384K        2
Activity Tracing                   256K        1
CG backing stores                 1600K        3
CG image                           168K        8
CoreAnimation                     98.8M       11
CoreGraphics                         8K        1
CoreImage                           40K        6
CoreServices                        60K        1
CoreUI image data                 1160K       11
CoreUI image file                  416K        6
Dispatch continuations            24.0M        1
Foundation                           4K        1
Kernel Alloc Once                    8K        1
MALLOC                           317.3M       72
Memory Tag 242                      12K        1
Stack                             66.6M       13
VM_ALLOCATE                         72K       13
__DATA                            32.7M      309
__FONT_DATA                          4K        1
__LINKEDIT                       228.0M       47
__TEXT                           206.4M      309
__UNICODE                          564K        1
mapped file                      550.4M      191
shared memory                      692K       16
===========                     =======  =======
TOTAL                              1.5G     1026




Acknowledgement sent to Justin Guenther <jguenther@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38822; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Jan 2020 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.